<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\AccountMaster;
use App\AccountMastersAccountsDetail;
use App\ClassOfAccount;
use App\Currency;
use App\Http\Controllers\Controller;
use App\PurchaseInvoice;
use App\PurchaseReturnVoucher;
use App\SaleInvoice;
use App\SalesReturnVoucher;
use App\Services\Utils;
use Carbon\Carbon;
use PDF;
use Auth;
use App\Customer;
use App\Expense;
use App\Supplier;
use App\StaffAndSalesman;
use App\AdminOtherAccount;
use App\AdminSalesInvoice;
use App\AdminJournalVoucher;
use App\AdminReceiptVoucher;
use App\ReceiptVoucherExpense;
use App\PaymentVoucherExpense ;
use App\Company;
use App\DeliveryNote;
use App\CreditNote;
use App\DebitNote;
use App\OpeningBalance;
use App\PurchaseOrder;
use App\Quotation;
use App\AdminPeriodClosing;
use App\WarehouseTransfer;
use App\AdminPurchaesInvoice;
use App\AdminPaymentVoucher;
use App\AdminTermsAndCondition;
use Illuminate\Support\Facades\DB;
class CashReportController extends Controller
{
    public function display()
    {
        $periodClosings = AdminPeriodClosing::where('branch_id', session()->get('selected_branch'))->pluck('to')->toArray();

        // dd($periodClosings);

        return view('crusher.reports.cash-report-select-date',compact('periodClosings'));
    }
    public function cashLedgerReport(Request $request)
    {

        $from_date = $request->from_date;
        $to_date = $request->to_date;


        $currentYearFirstDate = date("Y-01-01");
        $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

        $createObCash = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
            // ->where('date', '>=', $from_date . ' 00:00:00')
            // ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('class_of_account_id', '3')
            ->first();

            if ($createObCash) {
                $cashAccountId = $createObCash->id;
                $cashAccountOpeningDate = $createObCash->date;
                if ($createObCash->type == 'debit' && $createObCash->date >= $from_date && $createObCash->date <= $to_date) {
                    $createDebitObForCash = $createObCash->opening_balance;
                    $createCreditObForCash = null;
                } elseif ($createObCash->type == 'credit' && $createObCash->date >= $from_date && $createObCash->date <= $to_date) {
                    $createDebitObForCash = null;
                    $createCreditObForCash = $createObCash->opening_balance;
                } else {
                    $createDebitObForCash = null;
                    $createCreditObForCash = null;
                }
            } else {
                $cashAccountId = null;
                $cashAccountOpeningDate = null;
                $createDebitObForCash = null;
                $createCreditObForCash = null;
            }

        $createObalanceCash = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
            // ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            // ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('class_of_account_id', '3')
            ->first();

            if ($createObalanceCash) {
                $obCashAccountId = $createObalanceCash->id;
                $cashAccountDate = $createObalanceCash->date;
                if ($createObalanceCash->type == 'debit' && $createObCash->date >= $currentYearFirstDate && $createObCash->date <= $oneDayPreviousDate) {
                    $createDebitObalanceForCash = $createObalanceCash->opening_balance;
                    $createCreditObalanceForCash = null;
                } elseif ($createObalanceCash->type == 'credit' && $createObCash->date >= $currentYearFirstDate && $createObCash->date <= $oneDayPreviousDate) {
                    $createDebitObalanceForCash = null;
                    $createCreditObalanceForCash = $createObalanceCash->opening_balance;
                } else {
                    $createDebitObalanceForCash = null;
                    $createCreditObalanceForCash = null;
                }
            } else {
                $obCashAccountId = null;
                $cashAccountDate = null;
                $createDebitObalanceForCash = null;
                $createCreditObalanceForCash = null;
            }

        // dd($cashAccountId, $createDebitObForCash, $createCreditObForCash);

        $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();
        $SaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();

        $CreditNote = CreditNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();
        $DebitNote = DebitNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();
        $ReceiptVoucher = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
                ->whereNull('deleted_at')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();
        $PaymentVoucher = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
                ->whereNull('deleted_at')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
                ->get();
        $Quotation = Quotation::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('quotation_no')
            ->get();
        $JournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();
        $ReceiptVouchers = AdminReceiptVoucher::with('expense')
            // ->where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('payment_method', 'Cash')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();

        foreach ($ReceiptVouchers as $receiptVoucher) {
            $receiptVoucher->mergedExpenses = $receiptVoucher->expense
                ->groupBy('receipt_id')
                ->map(function ($group) {
                    return [
                        'receipt_id' => $group->first()->receipt_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }

        $PaymentVouchers = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('payment_method', 'Cash')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();

        foreach ($PaymentVouchers as $PaymentVoucher) {
            $PaymentVoucher->mergedExpenses = $PaymentVoucher->expense
                ->groupBy('voucher_id')
                ->map(function ($group) {
                    return [
                        'voucher_id' => $group->first()->voucher_id,
                        'total_amount' => $group->sum('amount') + $group->sum('new_vat_amount'),
                    ];
                })
                ->values();
        }

        $allData = $DebitNote -> concat($CreditNote)->concat($PaymentVouchers)->concat($ReceiptVouchers)->concat($SaleInvoice)->concat($PurchaesInvoice)->concat($JournalVoucher);

        // dd($allData);

        $ObPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $obCashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('total_purchase_amount_with_cf');

        $ObSaleInvoice = AdminSalesInvoice::where('account_id', $obCashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('total_net_amount');

        $ObCreditNote = CreditNote::where('account_id', $obCashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('total_net_amount');

        $ObDebitNote = DebitNote::where('account_id', $obCashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('total_net_amount');

        // $ObReceiptVoucher = AdminReceiptVoucher::with('expense')
        //     ->where('branch_id', session()->get('selected_branch'))
        //     ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
        //     ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
        //     ->whereHas('expense', function ($query) use ($cashAccountId) {
        //         $query->where('account_id', $cashAccountId);
        //     })
        //     ->groupBy('invoice_no')
        //     ->get();
        // $ObPaymentVoucher = AdminPaymentVoucher::with('expense')
        //     ->where('branch_id', session()->get('selected_branch'))
        //     ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
        //     ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
        //     ->whereHas('expense', function ($query) use ($cashAccountId) {
        //         $query->where('account_id', $cashAccountId);
        //     })
        //     ->groupBy('invoice_no')
        //         ->get();

        $ObQuotation = Quotation::where('account_id', $obCashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('quotation_no')
            ->get()
            ->sum('total_net_amount');

        $ObJournalVoucherTotalForDebit = AdminJournalVoucher::where('account_id', $obCashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('type', 'debit')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('amount');

        $ObJournalVoucherTotalForCredit = AdminJournalVoucher::where('account_id', $obCashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('type', 'credit')
            ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('amount');

        // $ObReceiptVouchers = AdminReceiptVoucher::with('expense')
        //     ->where('account_id', $cashAccountId)
        //     ->where('branch_id', session()->get('selected_branch'))
        //     ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
        //     ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
        //     ->where('payment_method', 'Cash')
        //     ->groupBy('invoice_no')
        //     ->get();

        // $ObReceiptVoucherTotalAmount = $ObReceiptVouchers->map(function ($receiptVoucher) {
        //     return $receiptVoucher->expense
        //         ->groupBy('receipt_id')
        //         ->map(function ($group) {
        //             return [
        //                 'receipt_id' => $group->first()->receipt_id,
        //                 'total_amount' => $group->sum('amount'),
        //             ];
        //         })
        //         ->sum('total_amount');
        // })->sum();
        $ObReceiptVouchers = AdminReceiptVoucher::with('expense')
        ->where('branch_id', session()->get('selected_branch'))
        ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
        ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
        ->where('payment_method', 'Cash')
        ->whereNull('deleted_at')
            ->groupBy('invoice_no')
        ->get();

        $mergedReceipts = $ObReceiptVouchers->flatMap(function ($receiptVoucher) {
            return $receiptVoucher->expense->groupBy('receipt_id')->map(function ($group) {
                return [
                    'receipt_id' => $group->first()->receipt_id,
                    'total_amount' => $group->sum('amount'),
                ];
            });
        });

        $ObReceiptVouchersTotalAmount = $mergedReceipts->sum('total_amount');

        // dd($ObReceiptVouchersTotalAmount);


        // $OBPaymentVouchers = AdminPaymentVoucher::with('expense')
        //     ->where('branch_id', session()->get('selected_branch'))
        //     ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
        //     ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
        //     ->where('payment_method', 'Cash')
        //     ->groupBy('invoice_no')
        //     ->get();

        // $OBPaymentVouchersTotalAmount = $OBPaymentVouchers->map(function ($paymentVoucher) {
        //     return $paymentVoucher->expense
        //         ->groupBy('voucher_id')
        //         ->map(function ($group) {
        //             return [
        //                 'voucher_id' => $group->first()->voucher_id,
        //                 'total_amount' => $group->sum('amount'),
        //             ];
        //         })
        //         ->sum('total_amount');
        // })->sum();

        $OBPaymentVouchers = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('payment_method', 'Cash')
        ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();

        $mergedPayments = $OBPaymentVouchers->flatMap(function ($paymentVoucher) {
            return $paymentVoucher->expense->groupBy('voucher_id')->map(function ($group) {
                return [
                    'voucher_id' => $group->first()->voucher_id,
                    'total_amount' => $group->sum('amount') + $group->sum('new_vat_amount'),
                ];
            });
        });

        $OBPaymentVouchersTotalAmount = $mergedPayments->sum('total_amount');

        // dd($PaymentVouchersTotalAmount);

        // foreach ($OBPaymentVouchers as $PaymentVoucher) {
        //     $PaymentVoucher->mergedExpenses = $PaymentVoucher->expense
        //         ->where('account_id', $cashAccountId)
        //         ->groupBy('voucher_id')
        //         ->map(function ($group) {
        //             return [
        //                 'voucher_id' => $group->first()->voucher_id,
        //                 'total_amount' => $group->sum('amount') + $group->sum('new_vat_amount'),
        //             ];
        //         })
        //         ->values();
        // }

        // dd($createDebitObalanceForCash,$ObSaleInvoice,$ObJournalVoucherTotalForDebit,$ObDebitNote,$ObQuotation,$ObReceiptVouchersTotalAmount,$createCreditObalanceForCash,$ObPurchaesInvoice,$OBPaymentVouchersTotalAmount,$ObCreditNote,$ObJournalVoucherTotalForCredit);

        $ObDebit = 0;
        $ObCredit = 0;

        $ObdebitTotal = $createDebitObalanceForCash + $ObSaleInvoice + $ObJournalVoucherTotalForDebit  + $ObDebitNote + $ObQuotation + $ObReceiptVouchersTotalAmount ;

        $ObcreditTotal = $createCreditObalanceForCash + $ObPurchaesInvoice + $OBPaymentVouchersTotalAmount + $ObCreditNote + $ObJournalVoucherTotalForCredit ;



        if ($ObdebitTotal > $ObcreditTotal) {
              $ObDebit = $ObdebitTotal - $ObcreditTotal;
          } elseif ($ObdebitTotal < $ObcreditTotal) {
              $ObCredit = $ObcreditTotal - $ObdebitTotal;
          }

          $DebitopeningBalance = $ObDebit;
          $creditOpeningBalance = $ObCredit;


        // dd($OBPaymentVouchers);

        // dd($cashInHandAccountId,$ReceiptVouchers,$PurchaesInvoice,$SaleInvoice,$CreditNote,$DebitNote,$ReceiptVoucher,$PaymentVoucher);

        return view('crusher.reports.cash-report', compact('allData','from_date', 'to_date','ReceiptVouchers','PurchaesInvoice','SaleInvoice','CreditNote','DebitNote','ReceiptVoucher','PaymentVoucher','Quotation','JournalVoucher','PaymentVouchers','cashAccountOpeningDate','createDebitObForCash','createCreditObForCash','createDebitObalanceForCash','createCreditObalanceForCash','DebitopeningBalance','creditOpeningBalance'));
    }

}
