<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Company;
use App\User;
use App\Country;

class CompanyController extends Controller
{
    public function index() {
        $data['companies'] = Company::all();
        return view('super_admin.company.index')->with($data);
    }
    public function add() {
        $data['clients'] = User::all();
        return view('super_admin.company.add')->with($data);
    }
    public function insert(Request $request) {
        $insertData['user_id'] = $request->user_id;
        $insertData['location_id'] = 0;
        $insertData['name'] = $request->name;
        $insertData['email'] = $request->email;
        $insertData['address'] = $request->address;
        $insertData['country'] = $request->country;
        $insertData['cr_number'] = $request->cr_number;
        $insertData['vat_number'] = $request->vat_number;
        $insertData['trn_number'] = $request->trn_number;
        $insertData['tin_number'] = $request->tin_number;
        $insertData['status'] = 'active';
        Company::insert($insertData);
        return redirect('company');
    }
    public function view(Request $request,$id) {
        $data['company'] = Company::where('id',$id)->first();
        return view('super_admin.company.view')->with($data);
    }
    public function edit(Request $request,$id) {
        $data['clients'] = User::all();
        $data['company'] = Company::where('id',$id)->first();
        $data['countries'] = Country::all();
        // dd($data['company'] );
        return view('super_admin.company.edit')->with($data);
    }
    public function update(Request $request,$id) {
        $updateData['user_id'] = $request->user_id;
        $updateData['location_id'] = 0;
        $updateData['name'] = $request->name;
        $updateData['email'] = $request->email;
        $updateData['address'] = $request->address;
        $updateData['country'] = $request->country;
        $updateData['cr_number'] = $request->cr_number;
        $updateData['vat_number'] = $request->vat_number;
        $updateData['trn_number'] = $request->trn_number;
        $updateData['tin_number'] = $request->tin_number;
        $updateData['status'] = 'active';
        Company::where('id',$id)->update($updateData);
        return redirect('company');
    }
}
