<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\AccountMaster;
use App\AccountMastersAccountsDetail;
use App\ClassOfAccount;
use App\Currency;
use App\Http\Controllers\Controller;
use App\PurchaseInvoice;
use App\PurchaseReturnVoucher;
use App\SaleInvoice;
use App\SalesReturnVoucher;
use App\Services\Utils;
use Carbon\Carbon;
use PDF;
use Auth;
use App\Customer;
use App\Expense;
use App\Supplier;
use App\StaffAndSalesman;
use App\AdminOtherAccount;
use App\AdminSalesInvoice;
use App\AdminJournalVoucher;
use App\AdminReceiptVoucher;
use App\ReceiptVoucherExpense;
use App\PaymentVoucherExpense;
use App\Company;
use App\DeliveryNote;
use App\CreditNote;
use App\DebitNote;
use App\OpeningBalance;
use App\PurchaseOrder;
use App\Quotation;
use App\AdminPeriodClosing;
use App\WarehouseTransfer;
use App\AdminPurchaesInvoice;
use App\AdminPaymentVoucher;
use App\AdminTermsAndCondition;
use Illuminate\Support\Facades\DB;
use App\Services\ProfitAndLossCurrentPeriodService;
use App\Services\ProfitAndLossOpeningBalanceService;

class ProfitAndLossReportController extends Controller
{
    protected $profitAndLossCurrentPeriodService;
    protected $profitAndLossOpeningBalanceService;

    public function __construct(
        ProfitAndLossCurrentPeriodService $profitAndLossCurrentPeriodService,
        ProfitAndLossOpeningBalanceService $profitAndLossOpeningBalanceService
        ) {
        $this->profitAndLossCurrentPeriodService = $profitAndLossCurrentPeriodService;
        $this->ProfitAndLossOpeningBalanceService = $profitAndLossOpeningBalanceService;
    }

    public function display()
    {
        return view('crusher.reports.profit_and_loss_ledger_report_display');
    }

    public function profitAndLossLedgerReport(Request $request)
    {
        list($netProfit) = $this->profitAndLossCurrentPeriodService->profitLossCurrentPeriodReports($request, $request->from_date, $request->to_date);

        //   dd($netProfit);

        list($OpeningBalanceNetProfit) = $this->ProfitAndLossOpeningBalanceService->profitAndLossOBReports($request, $request->from_date, $request->to_date);

        //   dd($OpeningBalanceNetProfit);

        $from_date = $request->from_date;
        $to_date = $request->to_date;

        $currentYearFirstDate = date("Y-01-01");
        $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

        $createObCash = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
            // ->where('date', '>=', $from_date . ' 00:00:00')
            // ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('class_of_account_id', '20')
            ->first();

            // dd($createObCash);

            if ($createObCash) {
                $AccountName = $createObCash->account_name;
                $cashAccountOpeningDate = $createObCash->date;
                if ($createObCash->type == 'debit' && $createObCash->date >= $from_date && $createObCash->date <= $to_date) {
                    $createDebitObForCash = $createObCash->opening_balance;
                    $createCreditObForCash = null;
                } elseif ($createObCash->type == 'credit' && $createObCash->date >= $from_date && $createObCash->date <= $to_date) {
                    $createDebitObForCash = null;
                    $createCreditObForCash = $createObCash->opening_balance;
                } else {
                    $createDebitObForCash = null;
                    $createCreditObForCash = null;
                }
            } else {
                $AccountName = null;
                $cashAccountOpeningDate = null;
                $createDebitObForCash = null;
                $createCreditObForCash = null;
            }

        $createObalanceCash = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
            // ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            // ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('class_of_account_id', '20')
            ->first();

            if ($createObalanceCash) {
                $obAccountName = $createObalanceCash->account_name;
                $cashAccountDate = $createObalanceCash->date;
                if ($createObalanceCash->type == 'debit' && $createObCash->date >= $currentYearFirstDate && $createObCash->date <= $oneDayPreviousDate) {
                    $createDebitObalanceForCash = $createObalanceCash->opening_balance;
                    $createCreditObalanceForCash = null;
                } elseif ($createObalanceCash->type == 'credit' && $createObCash->date >= $currentYearFirstDate && $createObCash->date <= $oneDayPreviousDate) {
                    $createDebitObalanceForCash = null;
                    $createCreditObalanceForCash = $createObalanceCash->opening_balance;
                } else {
                    $createDebitObalanceForCash = null;
                    $createCreditObalanceForCash = null;
                }
            } else {
                $obAccountName = null;
                $cashAccountDate = null;
                $createDebitObalanceForCash = null;
                $createCreditObalanceForCash = null;
            }

        // dd($obAccountName, $createDebitObalanceForCash, $createCreditObalanceForCash);

        $PurchaesInvoice = AdminPurchaesInvoice::where('account_name', $AccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();
        $SaleInvoice = AdminSalesInvoice::where('account_name', $AccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();

        $CreditNote = CreditNote::where('account_name', $AccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();
        $DebitNote = DebitNote::where('account_name', $AccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();
        $ReceiptVoucher = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereNull('deleted_at')
            ->whereHas('expense', function ($query) use ($AccountName) {
                $query->where('account_name', $AccountName);
            })
            ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();
        $PaymentVoucher = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereNull('deleted_at')
            ->whereHas('expense', function ($query) use ($AccountName) {
                $query->where('account_name', $AccountName);
            })
            ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();
        $Quotation = Quotation::where('account_name', $AccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereNull('deleted_at')
            ->groupBy('quotation_no')
            ->get();
        $JournalVoucher = AdminJournalVoucher::where('account_name', $AccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();

        $allData = $DebitNote -> concat($CreditNote)->concat($PaymentVoucher)->concat($ReceiptVoucher)->concat($SaleInvoice)->concat($PurchaesInvoice)->concat($JournalVoucher);

        // dd($allData);

        $ObPurchaesInvoice = AdminPurchaesInvoice::where('account_name', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('total_purchase_amount_with_cf');

        $ObSaleInvoice = AdminSalesInvoice::where('account_name', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('total_net_amount');

        $ObCreditNote = CreditNote::where('account_name', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('total_net_amount');

        $ObDebitNote = DebitNote::where('account_name', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('total_net_amount');

        $ObQuotation = Quotation::where('account_name', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('quotation_no')
            ->get()
            ->sum('total_net_amount');

        $ObJournalVoucherTotalForDebit = AdminJournalVoucher::where('account_name', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('type', 'debit')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('amount');

        $ObJournalVoucherTotalForCredit = AdminJournalVoucher::where('account_name', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('type', 'credit')
            ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('amount');

        $ObReceiptVouchers = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereNull('deleted_at')
            ->whereHas('expense', function ($query) use ($obAccountName) {
                $query->where('account_name', $obAccountName);
            })
            ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('amount');

        // dd($ObReceiptVouchers);

        $OBPaymentVouchers = AdminPaymentVoucher::with('expense')
        ->where('branch_id', session()->get('selected_branch'))
        ->where('date', '>=', $from_date . ' 00:00:00')
        ->where('date', '<=', $to_date . ' 23:59:59')
        ->whereNull('deleted_at')
        ->whereHas('expense', function ($query) use ($obAccountName) {
            $query->where('account_name', $obAccountName);
        })
        ->whereNull('deleted_at')
        ->groupBy('invoice_no')
        ->get();

        $totalAmount = $OBPaymentVouchers->sum('amount') + $OBPaymentVouchers->sum('new_vat_amount');


        // dd($createDebitObalanceForCash,$ObSaleInvoice,$ObJournalVoucherTotalForDebit,$ObDebitNote,$ObQuotation,$ObReceiptVouchers,$createCreditObalanceForCash,$ObPurchaesInvoice,$OBPaymentVouchersTotalAmount,$ObCreditNote,$ObJournalVoucherTotalForCredit);

        $ObDebit = 0;
        $ObCredit = 0;

        $ObdebitTotal = $OpeningBalanceNetProfit + $createDebitObalanceForCash + $ObSaleInvoice + $ObJournalVoucherTotalForDebit  + $ObDebitNote + $ObQuotation + $ObReceiptVouchers;

        $ObcreditTotal = $createCreditObalanceForCash + $ObPurchaesInvoice + $totalAmount + $ObCreditNote + $ObJournalVoucherTotalForCredit ;



        if ($ObdebitTotal > $ObcreditTotal) {
              $ObDebit = $ObdebitTotal - $ObcreditTotal;
          } elseif ($ObdebitTotal < $ObcreditTotal) {
              $ObCredit = $ObcreditTotal - $ObdebitTotal;
          }

          $DebitopeningBalance = $ObDebit;
          $creditOpeningBalance = $ObCredit;

        // dd($OBPaymentVouchers);

        // dd($cashInHandAccountId,$ReceiptVouchers,$PurchaesInvoice,$SaleInvoice,$CreditNote,$DebitNote,$ReceiptVoucher,$PaymentVoucher);

        return view('crusher.reports.profit_and_loss_ledger_report', compact('allData','from_date', 'to_date','PurchaesInvoice','SaleInvoice','CreditNote','DebitNote','ReceiptVoucher','PaymentVoucher','Quotation','JournalVoucher','cashAccountOpeningDate','createDebitObForCash','createCreditObForCash','createDebitObalanceForCash','createCreditObalanceForCash','DebitopeningBalance','creditOpeningBalance','PaymentVoucher','ReceiptVoucher','netProfit'));
    }
}
