<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePaymentVoucherExpensesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('payment_voucher_expenses', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('voucher_id')->nullable();
            $table->foreign('voucher_id')->references('id')->on('admin_payment_vouchers')->onDelete('cascade');
            $table->unsignedBigInteger('account_id')->nullable();
            $table->string('account_type')->nullable();
            $table->double('amount')->nullable();
            $table->string('bill_wise_id')->nullable();
            $table->string('inovice_id')->nullable();
            $table->nullableMorphs('expense');
            $table->double('expense_amount')->nullable();
            $table->longText('narration')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('payment_voucher_expenses');
    }
}
