@extends('layouts.crusher')
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Balance Sheet</h6>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">Date: <span>{{ $to_date }}</span></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>
                            </div>
                        </div>
                    </div>


                            <div class="row mt-5">
                                <div class="col-md-6">
                                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                                        <table id="" class="table table-bordered nowrap"
                                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                            <thead>
                                                <tr class="td-drak-bg">
                                                    <th colspan="3"><strong>Libilities</strong></th>
                                                </tr>
                                            </thead>
                                           <tbody>
                                            @foreach ($CapitalAccountDetails as $CapitalAccount)
                                                <tr>
                                                    <td>{{ $CapitalAccount['accoun_name'] }}</td>
                                                    @php
                                                        $CapitalAccountTB = $CapitalAccount['DebitBalance'] - $CapitalAccount['CreditBalance']
                                                    @endphp
                                                    <td>{{ number_format(abs($CapitalAccountTB), session('branch')->currency_decimal) }}</td>
                                                    <td></td>
                                                </tr>
                                                @endforeach
                                                <tr class="td-drak-bg">
                                                    @php
                                                        $CapitalAccountBalance = $CapitalAccountTotalDebit - $CapitalAccountTotalCredit;
                                                    @endphp
                                                    <td><strong>Capital Account</strong></td>
                                                    <td></td>
                                                    <td><strong>
                                                        @if ($CapitalAccountBalance)
                                                            {{ number_format(abs($CapitalAccountBalance), session('branch')->currency_decimal) }}
                                                        @endif
                                                    </strong></td>
                                                </tr>
                                                @foreach ($LoansAccountDetails as $LoansAccount)
                                                <tr>
                                                    <td>{{ $LoansAccount['accoun_name'] }}</td>
                                                    @php
                                                        $LoansAccountTB = $LoansAccount['DebitBalance'] - $LoansAccount['CreditBalance']
                                                    @endphp
                                                    <td>{{ number_format(abs($LoansAccountTB), session('branch')->currency_decimal) }}</td>
                                                    <td></td>
                                                </tr>
                                                @endforeach
                                                <tr class="td-drak-bg">
                                                    @php
                                                        $loansTotalBalance = $loansTotalDebit - $loansTotalCredit;
                                                    @endphp
                                                    <td><strong>Loans</strong></td>
                                                    <td></td>
                                                    <td><strong>
                                                        @if ($loansTotalBalance)
                                                            {{ number_format(abs($loansTotalBalance), session('branch')->currency_decimal) }}
                                                        @endif
                                                    </strong></td>
                                                </tr>
                                                <tr>
                                                    @php
                                                        $DutiesAndTaxesBalance = $debitVatReportCB - $creditVatReportCB;
                                                    @endphp
                                                    <td>Duties & Taxes</td>
                                                    <td>
                                                        @if ($DutiesAndTaxesBalance)
                                                            {{ number_format(abs($DutiesAndTaxesBalance), session('branch')->currency_decimal) }}
                                                        @endif
                                                    </td>
                                                    <td></td>
                                                </tr>
                                                <tr>
                                                    @php
                                                        $SundryCreditorsBalance = $SundryCreditorsTotalDebit - $SundryCreditorsTotalCredit;
                                                    @endphp
                                                    <td>Sundry Creditors</td>
                                                    <td>
                                                        @if ($SundryCreditorsBalance)
                                                            {{ number_format(abs($SundryCreditorsBalance), session('branch')->currency_decimal) }}
                                                        @endif
                                                    </td>
                                                    <td></td>
                                                </tr>

                                                @foreach ($CurrentLiabilitiesAccountDetails as $CurrentLiabilitiesAccount)
                                                <tr>
                                                    <td>{{ $CurrentLiabilitiesAccount['accoun_name'] }}</td>
                                                    @php
                                                        $CurrentLiabilitiesAccountTB = $CurrentLiabilitiesAccount['CreditBalance'] - $CurrentLiabilitiesAccount['DebitBalance'];
                                                    @endphp
                                                    <td>{{ number_format($CurrentLiabilitiesAccountTB, session('branch')->currency_decimal) }}</td>
                                                    <td></td>
                                                </tr>
                                                @php

                                                $CurrentLiabilitiesACB = 0;
                                                $CurrentLiabilitiesADB = 0;

                                                $CurrentLiabilitiesACB += $CurrentLiabilitiesAccount['CreditBalance'];
                                                $CurrentLiabilitiesADB += $CurrentLiabilitiesAccount['DebitBalance'];

                                                $CLAccountTB = $CurrentLiabilitiesACB - $CurrentLiabilitiesADB;

                                            @endphp
                                            @endforeach

                                            @php
                                                $CurrentLiabilitiesBalance = $CurrentLiabilitiesTotalDebit - $CurrentLiabilitiesTotalCredit;
                                            @endphp

                                                @php
                                                    $CurrentLiabilitiesTotalBalance = $CurrentLiabilitiesBalance + $DutiesAndTaxesBalance + $SundryCreditorsBalance;
                                                @endphp
                                                <tr class="td-drak-bg">
                                                    <td><strong>Current Liabilities</strong></td>
                                                    <td></td>
                                                    <td>
                                                        @if ($CurrentLiabilitiesTotalBalance)
                                                            <strong>{{ number_format(abs($CurrentLiabilitiesTotalBalance), session('branch')->currency_decimal) }}</strong>
                                                        @endif
                                                    </td>
                                                </tr>
                                           </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                                        <table id="" class="table table-bordered nowrap"
                                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                            <thead>
                                                <tr class="td-drak-bg mb-5">
                                                    <th colspan="3"><strong>Assets</strong></th>
                                                </tr>
                                            </thead>
                                           <tbody>
                                            @foreach ($FixedAssetsMergedAccountDetails as $FixedAssetsMergedAccount)
                                                <tr>
                                                    <td>{{ $FixedAssetsMergedAccount['accoun_name'] }}</td>
                                                    <td>{{ number_format(abs($FixedAssetsMergedAccount['DebitBalance']), session('branch')->currency_decimal) }}</td>
                                                    <td>{{ number_format(abs($FixedAssetsMergedAccount['CreditBalance']), session('branch')->currency_decimal) }}</td>
                                                </tr>
                                            @endforeach
                                            <tr>
                                                @php
                                                    $FixedAssetsBalance = $FixedAssetsTotalDebit - $FixedAssetsTotalCredit;
                                                @endphp
                                                <td><strong></strong></td>
                                                <td><strong>
                                                    @if ($FixedAssetsBalance)
                                                        {{ number_format(abs($FixedAssetsBalance), session('branch')->currency_decimal) }}
                                                    @endif
                                                </strong></td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <td>Closing Stock</td>
                                                <td>{{ number_format(abs($allClosingStock), session('branch')->currency_decimal) }}</td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                @php
                                                    $AdvanceTotalBalance = $AdvanceTotalDebit - $AdvanceTotalCredit;
                                                @endphp
                                                <td>Advance</td>
                                                <td>{{ number_format(abs($AdvanceTotalBalance), session('branch')->currency_decimal) }}</td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                @php
                                                    $sundryDebtorsBalance = $sundryDebtorsTotalDebit - $sundryDebtorsTotalCredit;
                                                @endphp
                                                <td>Sundry Debtors</td>
                                                <td>{{ number_format(abs($sundryDebtorsBalance), session('branch')->currency_decimal) }}</td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                @php
                                                    $cashInHandBalance = $debitCashReportCB - $creditCashReportCB;
                                                @endphp
                                                <td>Cash in Hand</td>
                                                <td>{{ number_format($cashInHandBalance, session('branch')->currency_decimal) }}</td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                @php
                                                    $bankAccountBalance = $bankAccountTotalDebit - $bankAccountTotalCredit;
                                                @endphp
                                                <td>Bank Account</td>
                                                <td>{{ number_format($bankAccountBalance, session('branch')->currency_decimal) }}</td>
                                                <td></td>
                                            </tr>
                                            <tr class="td-drak-bg mb-5">
                                                @php
                                                    $CurrentAssetsTotalBalance = $allClosingStock + $AdvanceTotalBalance + $sundryDebtorsBalance + $cashInHandBalance + $bankAccountBalance;
                                                @endphp
                                                <td><strong>Current Assets</strong></td>
                                                <td></td>
                                                <td><strong>{{ number_format($CurrentAssetsTotalBalance, session('branch')->currency_decimal) }}</strong></td>
                                            </tr>
                                            <tr>
                                                <td>Opening Balance</td>
                                                <td>
                                                    @if ($ProfitAndLossLedgerReportDebitCB
                                                    )
                                                        <strong>{{ number_format($ProfitAndLossLedgerReportDebitCB, session('branch')->currency_decimal) }}</strong>
                                                    @endif
                                                </td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <td>Current Period</td>
                                                <td>
                                                    @if ($netProfit)
                                                        <strong>{{ number_format($netProfit, session('branch')->currency_decimal) }}</strong>
                                                    @endif
                                                </td>
                                                <td></td>
                                            </tr>
                                            @php
                                                $ProfitAndLossAccountTotal = $ProfitAndLossLedgerReportDebitCB + $netProfit;
                                            @endphp
                                            <tr class="td-drak-bg mb-5">
                                                <td colspan="2"><strong>Profit & Loss A/C</strong></td>
                                                <td><strong>{{ number_format($ProfitAndLossAccountTotal, session('branch')->currency_decimal) }}</strong></td>
                                            </tr>
                                           </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                                        <table id="" class="table table-bordered nowrap"
                                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                           <tbody>
                                            @php

                                                $balanceSheetAssetsSideTotalDifference =0;
                                                $balanceSheetLibilitiesSideTotalDifference =0;

                                                $bSLibilitiesTotal = $CapitalAccountBalance + $loansTotalBalance + $CurrentLiabilitiesTotalBalance;
                                                $bSAssetsTotal = $CurrentAssetsTotalBalance + $ProfitAndLossAccountTotal;

                                                $balanceSheetLibilitiesSideTotal = abs($bSLibilitiesTotal);
                                                $balanceSheetAssetsSideTotal = $bSAssetsTotal;
                                            @endphp
                                            @php
                                            // $balanceSheetLibilitiesSideTotal = 89836849;
                                            // $balanceSheetAssetsSideTotal = 89833628;

                                            // Calculate the difference between liabilities and assets
                                            $balanceSheetAssetsSideTotalDifference = $balanceSheetLibilitiesSideTotal - $balanceSheetAssetsSideTotal;

                                            // Distribute the difference between assets and liabilities to balance them
                                            if ($balanceSheetAssetsSideTotalDifference > 0) {
                                                // There's a surplus in liabilities, distribute it to assets
                                                $balanceSheetAssetsSideTotal += $balanceSheetAssetsSideTotalDifference;
                                            } elseif ($balanceSheetAssetsSideTotalDifference < 0) {
                                                // There's a surplus in assets, distribute it to liabilities
                                                $balanceSheetLibilitiesSideTotal -= $balanceSheetAssetsSideTotalDifference;
                                            }
                                            @endphp

                                            <tr class="td-drak-bg">
                                                    <td><strong>
                                                        @if ($balanceSheetLibilitiesSideTotalDifference)
                                                            Balance Difference
                                                        @endif
                                                    </strong></td>
                                                    <td style="width: 180px"></td>
                                                    <td style="width: 180px"></td>
                                                    <td>
                                                        @if ($balanceSheetLibilitiesSideTotalDifference)
                                                            {{ number_format($balanceSheetLibilitiesSideTotalDifference, session('branch')->currency_decimal) }}
                                                        @endif
                                                    </td>
                                                <td><strong>
                                                    @if ($balanceSheetAssetsSideTotalDifference)
                                                        Balance Difference
                                                    @endif
                                                </strong></td>
                                                <td style="width: 180px"></td>
                                                <td style="width: 180px"></td>
                                                <td>
                                                    @if ($balanceSheetAssetsSideTotalDifference)
                                                        {{ number_format($balanceSheetAssetsSideTotalDifference, session('branch')->currency_decimal) }}
                                                    @endif
                                                </td>
                                            </tr>
                                            <tr class="td-drak-bg">
                                                <td><strong>Total</strong></td>
                                                <td style="width: 180px"></td>
                                                <td style="width: 180px"></td>
                                                <td>{{ number_format($balanceSheetAssetsSideTotal, session('branch')->currency_decimal) }}</td>
                                                <td><strong>Total</strong></td>
                                                <td style="width: 180px"></td>
                                                <td style="width: 180px"></td>
                                                <td>{{ number_format($balanceSheetLibilitiesSideTotal, session('branch')->currency_decimal) }}</td>
                                            </tr>



                                           </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

<script>
    document.addEventListener("DOMContentLoaded", function() {
        var detailsViews = document.querySelectorAll(".detailsView");

        detailsViews.forEach(function(detailsView) {
            detailsView.style.display = "none";
        });
    });

    function myFunction() {
        var dropdown = document.getElementById("myDropdown");
        var detailsViews = document.querySelectorAll(".detailsView");

        if (dropdown.value === "hide") {
            detailsViews.forEach(function(detailsView) {
                detailsView.style.display = "none";
            });
        } else {
            detailsViews.forEach(function(detailsView) {
                detailsView.style.display = "table-row";
            });
        }
    }
</script>
@endsection
