@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Opening Balance For Inventory</h6>
                            </div>

                        </div>
                        <!-- <div class="col-4"> -->
                        <form action="{{ route('software.opening_balances.store') }}" class="outer-repeater" method="POST">
                            @csrf

                            <div class="row">

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Opening Balance #</label>
                                        <input class="form-control" readonly placeholder="" id="example-password-input"
                                            value="{{ $newOBNo }}" name="invoice_no">
                                    </div>
                                </div>

                                <div class="col-md-6">

                                </div>

                            </div>

                            <div class="row">

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Date</label>
                                        <input name="date" class="form-control" type="date"
                                            pattern="\d{4}-\d{2}-\d{2}" value="{{ date('Y-m-d') }}">
                                    </div>
                                </div>

                                <div class="col-md-6">

                                </div>

                            </div>


                            <div class="row">

                                <div class="table-responsive mb-0" data-pattern="priority-columns">
                                    <table class="table table-bordered dt-responsive nowrap"
                                        style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                            <tr>
                                                <th>Item Name</th>
                                                <th>Item Description</th>
                                                <th>Warehouse</th>
                                                <th>Quantity</th>
                                                <th>Unit</th>
                                                <th>Rate / Unit</th>
                                                <th>Amount</th>
                                                <th>Delete</th>
                                            </tr>
                                        </thead>

                                        <tbody id="table-body">
                                                <tr>
                                                    <div class="inner-repeater mb-12">
                                                        <div data-repeater-list="inner-group" class="inner form-group">
                                                            <td>
                                                                <div class="form-group">
                                                                    <select style="width: 100%" class="form-control selectItem select2"
                                                                        name="item_id[]">
                                                                        <option value="" selected disabled>Select Item
                                                                        </option>
                                                                        @foreach ($items as $item)
                                                                            <option value="{{ $item->id }}">
                                                                                {{ $item->name }}</option>
                                                                        @endforeach
                                                                    </select>
                                                                </div>
                                                            </td>

                                                            <td>
                                                                <div class="form-group">
                                                                    <textarea class="form-control" rows="1" type="text" placeholder="Item Description"
                                                                        id="example-textarea-input" name="item_description[]">
                                                                </textarea>
                                                                </div>
                                                            </td>

                                                            <td>
                                                                <div class="form-group">
                                                                    <select style="width: 100%" class="form-control selectWarehouse select2"
                                                                        name="warehouse_id[]">
                                                                        <option value="" selected disabled>Select Warehouse
                                                                        </option>
                                                                        @foreach ($warehouses as $warehouse)
                                                                            <option value="{{ $warehouse->id }}">
                                                                                {{ $warehouse->name }}</option>
                                                                        @endforeach
                                                                    </select>
                                                                </div>
                                                            </td>

                                                            <td>
                                                                <div class="form-group">
                                                                    <input class="form-control quantity" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                        placeholder="Quantity" id="quantity"
                                                                        name="quantity[]">
                                                                </div>
                                                            </td>
                                                            <td>
                                                                <div class="form-group">
                                                                    <select style="width: 100%" class="form-control selectUnit select2"
                                                                        name="unit_id[]">
                                                                        <option value="" selected disabled>Select Unit
                                                                        </option>
                                                                        @foreach ($units as $unit)
                                                                            <option value="{{ $unit->id }}">
                                                                                {{ $unit->unit }}</option>
                                                                        @endforeach
                                                                    </select>
                                                                </div>
                                                            </td>
                                                            <td>
                                                                <div class="form-group">
                                                                    <input class="form-control rate_unit" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                        placeholder="Rate/Unit" id="rate_unit"
                                                                        name="rate_unit[]">
                                                                </div>
                                                            </td>

                                                        </div>

                                                    </div>

                                                    <td>
                                                        <div class="form-group">
                                                            <input class="form-control gross_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                placeholder="Amount" id="amount"
                                                                name="amount[]">
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <a href="" class="delete-row-btn"> <i
                                                                class="fas fa-trash-alt inner"></i></a>
                                                    </td>

                                                </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-8">
                                    <a id="add-more-btn" class="btn btn-outline-primary">Add
                                        more</a>
                                </div>
                                <div class="col-md-4">
                                    <!-- <h5>QTY Total: 0</h5> -->
                                </div>
                            </div>
                            <br>


                            <br>

                            <div class="row">

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Term & Conditions</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="narrations">Narrations</label>
                                        <textarea class="form-control{{ $errors->has('narrations') ? ' is-invalid' : '' }}" rows="4"
                                            placeholder="Enter Narrations" id="example-textarea-input" name="narrations">
                                            {{ old('narrations') }}
                                        </textarea>
                                        @if ($errors->has('narrations'))
                                            <div class="invalid-feedback">{{ $errors->first('narrations') }}</div>
                                        @endif
                                    </div>
                                </div>


                            </div>


                            <button class="btn btn-cust1 float-right" type="submit">Create Opening Balance</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->


    <!-- Modals -->
    <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title mt-0" id="myModalLabel">Byer Information :</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name :</label>
                            <input class="form-control" type="text" placeholder="Enter Name"
                                id="example-password-input">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Phone # :</label>
                            <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Phone #"
                                id="example-password-input">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Email :</label>
                            <input class="form-control" type="text" placeholder="Enter Email"
                                id="example-password-input">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Address :</label>
                            <textarea class="form-control" rows="3" type="text" placeholder="Enter Address"
                                id="example-textarea-input">
                    </textarea>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary waves-effect waves-light">Save</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <script>
        function myFunction() {
            var dropdown = document.getElementById("myDropdown");
            var pricehidden1 = document.getElementById("pricehidden1");
            var pricehidden2 = document.getElementById("pricehidden2");
            var pricehidden3 = document.getElementById("pricehidden3");

            if (dropdown.value === "hide") {
                pricehidden1.style.display = "none";
                pricehidden2.style.display = "none";
                pricehidden3.style.display = "none";
            } else {
                pricehidden1.style.display = "block";
                pricehidden2.style.display = "block";
                pricehidden3.style.display = "block";
            }
        }
    </script>

    <!-- modal script -->

    <script>
        document.getElementById("modalSelect").addEventListener("change", function() {
            var selectedModal = this.value;

            // Close any open modals
            $('.modal').modal('hide');

            // Open the selected modal
            $('#' + selectedModal).modal('show');
        });
    </script>

    {{-- CALCULATION --}}
    <script>
        $(document).ready(function() {

            function calculateRow(row) {
                var quantity = parseFloat(row.find('.quantity').val()) || 0;
                var rateUnit = parseFloat(row.find('.rate_unit').val()) || 0;
                var vatPercentage = parseFloat(row.find('.vat_percentage').val()) || 0;

                var grossAmount = quantity * rateUnit;
                var vatAmount = grossAmount * (vatPercentage / 100);
                var netAmount = grossAmount + vatAmount;

                row.find('.gross_amount').val(grossAmount.toFixed({{session()->get('branch')->currency_decimal}}));
                row.find('.vat_amount').val(vatAmount.toFixed({{session()->get('branch')->currency_decimal}}));
                row.find('.net_amount').val(netAmount.toFixed({{session()->get('branch')->currency_decimal}}));
            }

            // Calculate for existing rows (initial row and dynamically generated rows)
            $('#table-body tr').each(function() {
                calculateRow($(this));
            });

            // Event delegation for dynamically added rows
            $('#table-body').on('input', '.quantity, .rate_unit, .vat_percentage', function() {
                calculateRow($(this).closest('tr'));
                calculateTotalQuantity();
                calculateTotalGross();
                calculateTotalVatAmount();
                calculateTotalNetAmount();
                // convertTotalNetAmountToWords();
            });

            // Event listener for changes in sub_account_amount
            $('.sub_account_amount').on('input', function() {
                calculateTotalNetAmount();
            });

            $('#add-more-btn').on('click', function() {
                var newRow = `
                <tr>
                    <td>
                        <div class="form-group">
                            <select style="width: 100%" class="form-control selectItem select2" name="item_id[]">
                                <option value="" selected disabled>Select Item</option>
                                @foreach ($items as $item)
                                    <option value="{{ $item->id }}">{{ $item->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <textarea class="form-control item_desc" rows="1" type="text" placeholder="Item Description" name="item_description[]"></textarea>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <select style="width: 100%" class="form-control selectWarehouse select2" name="warehouse_id[]">
                                <option value="" selected disabled>Select Warehouse</option>
                                @foreach ($warehouses as $warehouse)
                                    <option value="{{ $warehouse->id }}">{{ $warehouse->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control quantity" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Quantity" name="quantity[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <select style="width: 100%" class="form-control selectWarehouse select2" name="unit_id[]">
                                <option value="" selected disabled>Select Unit</option>
                                @foreach ($units as $unit)
                                    <option value="{{ $unit->id }}">{{ $unit->unit }}</option>
                                @endforeach
                            </select>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control rate_unit" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Rate/Unit" name="rate_unit[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control gross_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Amount" name="amount[]">
                        </div>
                    </td>
                    <td>
                        <a href="#" class="delete-row-btn"><i class="fas fa-trash-alt"></i></a>
                    </td>
                </tr>`;

                $('#table-body').append(newRow);
                $('#table-body tr:last .select2').select2();


                // Initialize calculation for the new row
                calculateRow($('#table-body tr:last'));
                calculateTotalQuantity();
                calculateTotalGross();
                calculateTotalVatAmount();
                calculateTotalNetAmount();
                // convertTotalNetAmountToWords();
            });


            // Event delegation for delete button
            $('#table-body').on('click', '.delete-row-btn', function() {
                $(this).closest('tr').remove();
                calculateTotalQuantity();
                calculateTotalGross();
                calculateTotalVatAmount();
                calculateTotalNetAmount();
                // convertTotalNetAmountToWords();
            });

            // Calculate and update total quantity
            function calculateTotalQuantity() {
                var totalQuantity = 0;
                $('.quantity').each(function() {
                    totalQuantity += parseFloat($(this).val()) || 0;
                });
                $('#total_quantity').val(totalQuantity);
            }
            // Calculate and update total gross amount
            function calculateTotalGross() {
                var totalGross = 0;
                $('.gross_amount').each(function() {
                    totalGross += parseFloat($(this).val()) || 0;
                });
                $('#total_gross_amount').val(totalGross.toFixed({{session()->get('branch')->currency_decimal}}));
            }
            // Calculate and update total VAT amount
            function calculateTotalVatAmount() {
                var totalVatAmount = 0;
                $('.vat_amount').each(function() {
                    totalVatAmount += parseFloat($(this).val()) || 0;
                });
                $('#total_vat_amount').val(totalVatAmount.toFixed({{session()->get('branch')->currency_decimal}}));
            }
            // Calculate and update total net amount
            function calculateTotalNetAmount() {
                var totalNetAmount = parseFloat($('.sub_account_amount').val()) || 0;
                $('.net_amount').each(function() {
                    totalNetAmount += parseFloat($(this).val()) || 0;
                });
                $('#total_net_amount').val(totalNetAmount.toFixed({{session()->get('branch')->currency_decimal}}));
                // convertTotalNetAmountToWords();
            }
            // Convert total net amount to words
            // function convertTotalNetAmountToWords() {
            //     var totalNetAmount = parseFloat($('#total_net_amount').val()) || 0;
            //     var totalNetAmountWords = numberToWords(totalNetAmount);
            //     $('#total_net_amount_words').val(totalNetAmountWords);
            // }

            function numberToWords(number) {
                // Replace this with your actual logic for number to words conversion
                // For example: Implement a custom logic or use a library
                // For testing, I'm using a simple implementation
                var words = ["Zero", "One", "Two", "Three", "Four", "Five", "Six", "Seven", "Eight", "Nine"];
                return words[Math.floor(number)] || "Invalid Number";
            }

            // Convert total net amount to words
            function convertTotalNetAmountToWords() {
                console.log("Function called");
                var totalNetAmount = parseFloat($('#total_net_amount').val()) || 0;
                var totalNetAmountWords = numberToWords(totalNetAmount);
                $('#total_net_amount_words').val(totalNetAmountWords);
            }

            // Initial calculation for total quantity and total gross
            calculateTotalQuantity();
            calculateTotalGross();
            calculateTotalVatAmount();
            calculateTotalNetAmount();
            // convertTotalNetAmountToWords();
        });
    </script>

    <script>
        $(document).ready(function() {
            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function(e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });
        });

        $(document).ready(function() {
            // $('#add-more-btn').click(function (e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            $('#add-clone-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);
            });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>
@endsection
