<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Customer;
use App\AdminPurchaesInvoice;
use App\supplier;
use App\StaffAndSalesman;
use App\Expense;
use App\AdminOtherAccount;
use App\AdminSalesInvoice;
use App\AdminJournalVoucher;
use App\AdminReceiptVoucher;
use App\ReceiptVoucherExpense;
use App\PaymentVoucherExpense ;
use App\Company;
use App\DeliveryNote;
use App\CreditNote;
use App\DebitNote;
use App\OpeningBalance;
use App\PurchaseOrder;
use App\Quotation;
use App\ClassOfAccount;
use Carbon\Carbon;
use App\AccountMaster;
use App\AccountMastersAccountsDetail;
use App\Currency;
use App\Http\Controllers\Controller;
use App\PurchaseInvoice;
use App\PurchaseReturnVoucher;
use App\SaleInvoice;
use App\SalesReturnVoucher;
use App\Services\Utils;
use PDF;
use Auth;
use App\WarehouseTransfer;
use App\AdminPaymentVoucher;
use App\AdminTermsAndCondition;
use App\PurchaseInvoiceExpense;
use App\AdminSalesInvoiceExpense;
use App\AdminItemGroup;
use App\ItemName;
use Illuminate\Support\Facades\DB;
use App\Services\StockReportService;
use App\Services\ProfitAndLossService;

class BalanceSheetController extends Controller
{
    protected $stockReportService;
    protected $profitAndLossService;

    public function __construct(StockReportService $stockReportService, ProfitAndLossService $profitAndLossService) {
        $this->stockReportService = $stockReportService;
        $this->profitAndLossService = $profitAndLossService;
    }

    public function balanceSheet(request $request)
    {
        // complete stock Closing Balance ------------------------------------------------

        list($groupedItems, $groups, $from_date, $to_date,$allClosingStock,$allOpeningStock) = $this->stockReportService->completeStockReportClosingBalanceAndOpeningBalance($request, $request->from_date, $request->to_date);
        // dd($groupedItems, $groups, $from_date, $to_date,$allClosingStock);



        // Current Period
        list($groupedItems, $groups, $from_date, $to_date, $PCPAllPurchaesInvoice,$PCPAllSaleInvoice,$salesInvoice,$openingBalanceForInventory,$originalPurchaseInvoice,$concatenatedData,$profits,$totalRemainingPurchaseQty,$totalRemainingPurchaseRate,$totalObRemainingPurchaseQty,$totalObRemainingPurchaseRate,$totalcbRemainingPurchaseQty,$totalcbRemainingPurchaseRate,$PCPmergedPurchaseExpenses,$PCPmergedSalesExpenses,$PCPmergedPaymentExpenses,$mergedAccounts,$discountallAccounts,$discountsaleInvoiceData,$discountpurchaesInvoiceData,$discountQuotationData,$discountObsaleInvoiceData,$discountObpurchaesInvoiceData,$discountObQuotationData,$PCPAllPurchaesTotals,$PCPAllSaleTotals,$allClosingStock,$allOpeningStock) = $this->profitAndLossService->profitLossReportsServices($request, $request->from_date, $request->to_date);

         // Opening Balance
         list($groupedItems, $groups, $from_date, $to_date, $POBAllPurchaesInvoice,$POBAllSaleInvoice,$salesInvoice,$openingBalanceForInventory,$originalPurchaseInvoice,$concatenatedData,$profits,$totalRemainingPurchaseQty,$totalRemainingPurchaseRate,$totalObRemainingPurchaseQty,$totalObRemainingPurchaseRate,$totalcbRemainingPurchaseQty,$totalcbRemainingPurchaseRate,$POBmergedPurchaseExpenses,$POBmergedSalesExpenses,$POBmergedPaymentExpenses,$mergedAccounts,$discountallAccounts,$discountsaleInvoiceData,$discountpurchaesInvoiceData,$discountQuotationData,$discountObsaleInvoiceData,$discountObpurchaesInvoiceData,$discountObQuotationData,$POBAllPurchaesTotals,$POBAllSaleTotals,$allClosingStock,$allOpeningStock) = $this->profitAndLossService->ObprofitLossReportsServices($request, $request->from_date, $request->to_date);

        $from_date = $request->from_date;
        $to_date = $request->to_date;

        $currentYearFirstDate = date("2003-01-01");
        $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

        // All Class Of Accounts Data --------------------------------------------------------------------------

        $classOfAccount = ClassOfAccount::all();

        $allAccounts = collect();

        $customers = Customer::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
        $staffAndSalesmen = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
        $suppliers = Supplier::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
        $expenses = Expense::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
        $adminOtherAccounts = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();

        $allAccounts = $allAccounts->merge($customers)->merge($staffAndSalesmen)->merge($suppliers)->merge($expenses)->merge($adminOtherAccounts);

        $totalDebit = [];
        $totalCredit = [];
        $processedAccounts = [];
        $mergedAccounts = [];
        $ObMergedAccounts = [];

        $obtotalDebit = [];
        $obtotalCredit = [];
        foreach ($allAccounts as $account) {
            $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $SaleInvoice = AdminSalesInvoice::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ReceiptVoucher = ReceiptVoucherExpense::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                // ->groupBy('invoice_no')
                ->get();

            $PaymentVoucher = PaymentVoucherExpense::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $CreditNote = CreditNote::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $DebitNote = DebitNote::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $TotalPurchaesInvoice = $PurchaesInvoice->sum('total_net_amount');
            $TotalDebitNote = $DebitNote->sum('total_net_amount');
            $TotalPaymentVoucher = $PaymentVoucher->sum('amount');

            $TotalSaleInvoice = $SaleInvoice->sum('total_net_amount');
            $TotalReceiptVoucher = $ReceiptVoucher->sum('amount');
            $TotalCreditNote = $CreditNote->sum('total_net_amount');

            $totalDebitValue = $TotalSaleInvoice + $TotalPaymentVoucher + $TotalDebitNote;
            $totalCreditValue = $TotalPurchaesInvoice + $TotalReceiptVoucher + $TotalCreditNote ;

            $totalDebit[] = [
                'account_id' => $account->class_of_account_id,
                'DebitBalance' => $totalDebitValue,
            ];

            $totalCredit[] = [
                'account_id' => $account->class_of_account_id,
                'creditBalance' => $totalCreditValue,
            ];
        }
        foreach ($allAccounts as $account) {
            $ObPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ObSaleInvoice = AdminSalesInvoice::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ObReceiptVoucher = ReceiptVoucherExpense::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                // ->groupBy('invoice_no')
                ->get();

            $ObPaymentVoucher = PaymentVoucherExpense::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ObCreditNote = CreditNote::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ObDebitNote = DebitNote::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ObTotalPurchaesInvoice = $ObPurchaesInvoice->sum('total_net_amount');
            $ObTotalDebitNote = $ObDebitNote->sum('total_net_amount');
            $ObTotalPaymentVoucher = $ObPaymentVoucher->sum('amount');

            $ObTotalSaleInvoice = $ObSaleInvoice->sum('total_net_amount');
            $ObTotalReceiptVoucher = $ObReceiptVoucher->sum('amount');
            $ObTotalCreditNote = $ObCreditNote->sum('total_net_amount');

            $ObtotalDebitValue = $ObTotalSaleInvoice + $ObTotalPaymentVoucher + $ObTotalDebitNote;
            $ObtotalCreditValue = $ObTotalPurchaesInvoice + $ObTotalReceiptVoucher + $ObTotalCreditNote;


            $obtotalDebit[] = [
                'account_id' => $account->class_of_account_id,
                'DebitBalance' => $ObtotalDebitValue,
            ];

            $obtotalCredit[] = [
                'account_id' => $account->class_of_account_id,
                'creditBalance' => $ObtotalCreditValue,
            ];
        }

        $CbMergedAccounts = [];

        foreach ($allAccounts as $index => $account) {
            $currentTotalDebit = $totalDebit[$index]['DebitBalance'] ?? 0;
            $currentTotalCredit = $totalCredit[$index]['creditBalance'] ?? 0;

            $ObDebitBalance = $obtotalDebit[$index]['DebitBalance'] ?? 0;
            $ObCreditBalance = $obtotalCredit[$index]['creditBalance'] ?? 0;

            $totalDebitValue = $currentTotalDebit + $ObDebitBalance;
            $totalCreditValue = $currentTotalCredit + $ObCreditBalance;

            $ClosingBalance = $totalDebitValue - $totalCreditValue;

            if ($ClosingBalance < 0) {
                $debitClosingBalance = 0;
                $creditClosingBalance = abs($ClosingBalance);
            } else {
                $debitClosingBalance = $ClosingBalance;
                $creditClosingBalance = 0;
            }

            $accountId = $account->class_of_account_id;
            if (!isset($CbMergedAccounts[$accountId])) {
                $CbMergedAccounts[$accountId] = [
                    'account_id' => $accountId,
                    'name' => optional($account->classOfAccount)->name,
                    'totalDebit' => $totalDebitValue,
                    'totalCredit' => $totalCreditValue,
                    'debitClosingBalance' => $debitClosingBalance,
                    'creditClosingBalance' => $creditClosingBalance,
                ];
            } else {
                $CbMergedAccounts[$accountId]['totalDebit'] += $totalDebitValue;
                $CbMergedAccounts[$accountId]['totalCredit'] += $totalCreditValue;
                $CbMergedAccounts[$accountId]['debitClosingBalance'] += $debitClosingBalance;
                $CbMergedAccounts[$accountId]['creditClosingBalance'] += $creditClosingBalance;
            }
        }

        $CbMergedAccounts = array_values($CbMergedAccounts);

        // dd($CbMergedAccounts);

         // Cash In Hand Data -----------------------------------------------------

         $CadminOtherAccount = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
         ->where('account_name', 'cash')
         ->first();

         if ($CadminOtherAccount) {
             $cashAccountId = $CadminOtherAccount->id;
         } else {
             $cashAccountId = null;
         }

         $CPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $from_date . ' 00:00:00')
             ->where('date', '<=', $to_date . ' 23:59:59')
             ->groupBy('invoice_no')
             ->get();
         $CSaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $from_date . ' 00:00:00')
             ->where('date', '<=', $to_date . ' 23:59:59')
             ->groupBy('invoice_no')
             ->get();
         $CCreditNote = CreditNote::where('account_id', $cashAccountId)
             ->where('branch_id', session()->get('selected_branch'))
             ->where('created_at', '>=', $from_date . ' 00:00:00')
             ->where('created_at', '<=', $to_date . ' 23:59:59')
             ->groupBy('invoice_no')
             ->get();
         $CDebitNote = DebitNote::where('account_id', $cashAccountId)
             ->where('branch_id', session()->get('selected_branch'))
             ->where('created_at', '>=', $from_date . ' 00:00:00')
             ->where('created_at', '<=', $to_date . ' 23:59:59')
             ->groupBy('invoice_no')
             ->get();
         $CReceiptVoucher = AdminReceiptVoucher::with('expense')
             ->where('branch_id', session()->get('selected_branch'))
             ->where('created_at', '>=', $from_date . ' 00:00:00')
             ->where('created_at', '<=', $to_date . ' 23:59:59')
             ->whereHas('expense', function ($query) use ($cashAccountId) {
                 $query->where('account_id', $cashAccountId);
             })
             ->groupBy('invoice_no')
             ->get();
         $CPaymentVoucher = AdminPaymentVoucher::with('expense')
             ->where('branch_id', session()->get('selected_branch'))
             ->where('created_at', '>=', $from_date . ' 00:00:00')
             ->where('created_at', '<=', $to_date . ' 23:59:59')
             ->whereHas('expense', function ($query) use ($cashAccountId) {
                 $query->where('account_id', $cashAccountId);
             })
             ->groupBy('invoice_no')
                 ->get();
         $CQuotation = Quotation::where('account_id', $cashAccountId)
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $from_date . ' 00:00:00')
             ->where('date', '<=', $to_date . ' 23:59:59')
             ->groupBy('quotation_no')
             ->get();
         $CJournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $from_date . ' 00:00:00')
             ->where('date', '<=', $to_date . ' 23:59:59')
             ->groupBy('invoice_no')
             ->get();

         $CReceiptVouchers = AdminReceiptVoucher::with('expense')
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $from_date . ' 00:00:00')
             ->where('date', '<=', $to_date . ' 23:59:59')
             ->where('payment_method', 'Cash')
             ->groupBy('invoice_no')
             ->get();

         foreach ($CReceiptVouchers as $receiptVoucher) {
             $receiptVoucher->mergedExpenses = $receiptVoucher->expense
                 ->groupBy('receipt_id')
                 ->map(function ($group) {
                     return [
                         'receipt_id' => $group->first()->receipt_id,
                         'total_amount' => $group->sum('amount'),
                     ];
                 })
                 ->values();
         }
         $CPaymentVouchers = AdminPaymentVoucher::with('expense')
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $from_date . ' 00:00:00')
             ->where('date', '<=', $to_date . ' 23:59:59')
             ->where('payment_method', 'Cash')
             ->groupBy('invoice_no')
             ->get();

         foreach ($CPaymentVouchers as $PaymentVoucher) {
             $PaymentVoucher->mergedExpenses = $PaymentVoucher->expense
                 ->groupBy('voucher_id')
                 ->map(function ($group) {
                     return [
                         'voucher_id' => $group->first()->voucher_id,
                         'total_amount' => $group->sum('amount'),
                     ];
                 })
                 ->values();
         }
         $CObPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
             ->groupBy('invoice_no')
             ->get();
         $CObSaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
             ->groupBy('invoice_no')
             ->get();
         $CObCreditNote = CreditNote::where('account_id', $cashAccountId)
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
             ->groupBy('invoice_no')
             ->get();
         $CObDebitNote = DebitNote::where('account_id', $cashAccountId)
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
             ->groupBy('invoice_no')
             ->get();
         $CObReceiptVoucher = AdminReceiptVoucher::with('expense')
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
             ->whereHas('expense', function ($query) use ($cashAccountId) {
                 $query->where('account_id', $cashAccountId);
             })
             ->groupBy('invoice_no')
             ->get();
         $CObPaymentVoucher = AdminPaymentVoucher::with('expense')
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
             ->whereHas('expense', function ($query) use ($cashAccountId) {
                 $query->where('account_id', $cashAccountId);
             })
             ->groupBy('invoice_no')
                 ->get();
         $CObQuotation = Quotation::where('account_id', $cashAccountId)
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
             ->groupBy('quotation_no')
             ->get();
         $CObJournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
             ->groupBy('invoice_no')
             ->get();

         $CObReceiptVouchers = AdminReceiptVoucher::with('expense')
             ->where('branch_id', session()->get('selected_branch'))
             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
             ->where('payment_method', 'Cash')
             ->groupBy('invoice_no')
             ->get();

         foreach ($CObReceiptVouchers as $receiptVoucher) {
             $receiptVoucher->mergedExpenses = $receiptVoucher->expense
                 ->groupBy('receipt_id')
                 ->map(function ($group) {
                     return [
                         'receipt_id' => $group->first()->receipt_id,
                         'total_amount' => $group->sum('amount'),
                     ];
                 })
                 ->values();
         }
         $COBPaymentVouchers = AdminPaymentVoucher::with('expense')
         ->where('branch_id', session()->get('selected_branch'))
         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
         ->where('payment_method', 'Cash')
         ->groupBy('invoice_no')
         ->get();

         foreach ($COBPaymentVouchers as $PaymentVoucher) {
             $PaymentVoucher->mergedExpenses = $PaymentVoucher->expense
                 ->groupBy('voucher_id')
                 ->map(function ($group) {
                     return [
                         'voucher_id' => $group->first()->voucher_id,
                         'total_amount' => $group->sum('amount'),
                     ];
                 })
                 ->values();
         }

        // Tax And Duties Vat Amount --------------------------------

        $customer = Customer::where('branch_id', session()->get('selected_branch'))->get()->toArray();
        $staffAndSalesman = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))->get()->toArray();
        $supplier = Supplier::where('branch_id', session()->get('selected_branch'))->get()->toArray();
        $expense = Expense::where('branch_id', session()->get('selected_branch'))->get()->toArray();
        $adminOtherAccount = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))->get()->toArray();

        $allAccounts = array_merge($customer, $staffAndSalesman, $supplier, $expense, $adminOtherAccount);

        $PurchaesInvoice = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->orderBy('invoice_no', 'asc')
            ->get()
            ->toArray();

        $SaleInvoice = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->orderBy('date', 'asc')
            ->get()
            ->toArray();

        $CreditNote = CreditNote::with('expense')->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $DebitNote = DebitNote::with('expense')->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $PurchaseOrder = PurchaseOrder::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $Quotation = Quotation::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('quotation_no')
            ->get()
            ->toArray();
        $ObPurchaesInvoice = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();

        $ObSaleInvoice = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();

        $ObCreditNote = CreditNote::with('expense')->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $ObDebitNote = DebitNote::with('expense')->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->get()
            ->toArray();
        $ObPurchaseOrder = PurchaseOrder::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $ObQuotation = Quotation::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('quotation_no')
            ->get()
            ->toArray();


        $purchaesInvoiceData = [];
        $saleInvoiceData = [];
        $CreditNoteData = [];
        $DebitNoteData = [];
        $PurchaseOrderData = [];
        $QuotationData = [];

        $ObpurchaesInvoiceData = [];
        $ObsaleInvoiceData = [];
        $ObCreditNoteData = [];
        $ObDebitNoteData = [];
        $ObPurchaseOrderData = [];
        $ObQuotationData = [];

        foreach ($allAccounts as $account) {
            $accountId = $account['id'];

            $purchaseInvoiceMatch = array_filter($PurchaesInvoice, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            $saleInvoiceMatch = array_filter($SaleInvoice, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            $CreditNoteMatch = array_filter($CreditNote, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $DebitNoteMatch = array_filter($DebitNote, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $PurchaseOrderMatch = array_filter($PurchaseOrder, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $QuotationMatch = array_filter($Quotation, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            if (!empty($purchaseInvoiceMatch)) {
                $purchaesInvoiceData[$accountId] = $purchaseInvoiceMatch;
            }

            if (!empty($saleInvoiceMatch)) {
                $saleInvoiceData[$accountId] = $saleInvoiceMatch;
            }

            if (!empty($CreditNoteMatch)) {
                $CreditNoteData[$accountId] = $CreditNoteMatch;
            }
            if (!empty($DebitNoteMatch)) {
                $DebitNoteData[$accountId] = $DebitNoteMatch;
            }
            if (!empty($PurchaseOrderMatch)) {
                $PurchaseOrderData[$accountId] = $PurchaseOrderMatch;
            }
            if (!empty($QuotationMatch)) {
                $QuotationData[$accountId] = $QuotationMatch;
            }
        }
        foreach ($allAccounts as $account) {
            $accountId = $account['id'];

            $ObpurchaseInvoiceMatch = array_filter($ObPurchaesInvoice, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            $ObsaleInvoiceMatch = array_filter($ObSaleInvoice, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            $ObCreditNoteMatch = array_filter($ObCreditNote, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $ObDebitNoteMatch = array_filter($ObDebitNote, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $ObPurchaseOrderMatch = array_filter($ObPurchaseOrder, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $ObQuotationMatch = array_filter($ObQuotation, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            if (!empty($ObpurchaseInvoiceMatch)) {
                $ObpurchaesInvoiceData[$accountId] = $ObpurchaseInvoiceMatch;
            }

            if (!empty($ObsaleInvoiceMatch)) {
                $ObsaleInvoiceData[$accountId] = $ObsaleInvoiceMatch;
            }

            if (!empty($ObCreditNoteMatch)) {
                $ObCreditNoteData[$accountId] = $ObCreditNoteMatch;
            }
            if (!empty($ObDebitNoteMatch)) {
                $ObDebitNoteData[$accountId] = $ObDebitNoteMatch;
            }
            if (!empty($ObPurchaseOrderMatch)) {
                $ObPurchaseOrderData[$accountId] = $ObPurchaseOrderMatch;
            }
            if (!empty($ObQuotationMatch)) {
                $ObQuotationData[$accountId] = $ObQuotationMatch;
            }
        }

        // complete stock Closing Balance ------------------------------------------------

        $completegroups = AdminItemGroup::where('branch_id', session()->get('selected_branch'))->get();

        $completeitemNames = ItemName::with('unit')->where('branch_id', session()->get('selected_branch'))->get();

        $completesalesInvoices = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
                ->whereIn('item_id', $completeitemNames->pluck('id'))
                ->whereNotNull('invoice_no')
                ->get();

            $completepurchaseInvoices = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
                ->whereIn('item_id', $completeitemNames->pluck('id'))
                ->whereNotNull('invoice_no')
                ->get();

            $completesalesReturnInvoices = CreditNote::where('branch_id', session()->get('selected_branch'))
                ->whereIn('item_id', $completeitemNames->pluck('id'))
                ->whereNotNull('invoice_no')
                ->get();
            $completepurchaseReturnInvoices = DebitNote::where('branch_id', session()->get('selected_branch'))
                ->whereIn('item_id', $completeitemNames->pluck('id'))
                ->whereNotNull('invoice_no')
                ->get();


            $completepurchaseInvoices = $completepurchaseInvoices->toArray();
            $completesalesInvoices = $completesalesInvoices->toArray();
            $completesalesReturnInvoices = $completesalesReturnInvoices->toArray();
            $completepurchaseReturnInvoices = $completepurchaseReturnInvoices->toArray();

            usort($completepurchaseInvoices, function ($a, $b) {
                return strtotime($a['created_at']) - strtotime($b['created_at']);
            });

            usort($completesalesInvoices, function ($a, $b) {
                return strtotime($a['created_at']) - strtotime($b['created_at']);
            });

            $totalQuantity = [];
            $totalRate = [];

            foreach ($completepurchaseInvoices as $purchase) {
                $itemId = $purchase['item_id'];
                $totalQuantity[$itemId][] = $purchase['quantity'];
                $totalRate[$itemId][] = $purchase['quantity'] * $purchase['rate_unit'];
            }

            foreach ($completesalesInvoices as $sale) {
                $itemId = $sale['item_id'];
                $subtractQty = $sale['quantity'];

                while ($subtractQty > 0 && count($totalQuantity[$itemId]) > 0) {
                    $purchaseQty = array_shift($totalQuantity[$itemId]);
                    $purchaseRate = array_shift($totalRate[$itemId]);

                    if ($purchaseQty <= $subtractQty) {
                        // Use the entire purchase
                        $subtractQty -= $purchaseQty;
                    } else {
                        // Use part of the purchase
                        $remainingQty = $purchaseQty - $subtractQty;
                        array_unshift($totalQuantity[$itemId], $remainingQty);
                        array_unshift($totalRate[$itemId], $remainingQty * ($purchaseRate / $purchaseQty));
                        $subtractQty = 0;
                    }
                }
            }

            // Add back total quantity and total rate from SalesReturnInvoice
            foreach ($completesalesReturnInvoices as $return) {
                $itemId = $return['item_id'];
                $addQty = $return['quantity'];

                while ($addQty > 0 && count($totalQuantity[$itemId]) > 0) {
                    $purchaseQty = array_shift($totalQuantity[$itemId]);
                    $purchaseRate = array_shift($totalRate[$itemId]);

                    // Add back the returned quantity and rate
                    $remainingQty = $purchaseQty + $addQty;
                    array_unshift($totalQuantity[$itemId], $remainingQty);
                    array_unshift($totalRate[$itemId], $remainingQty * ($purchaseRate / $purchaseQty));
                    $addQty = 0;
                }
            }

            // Subtract total quantity and total rate from PurchaseReturnInvoice
            foreach ($completepurchaseReturnInvoices as $return) {
                $itemId = $return['item_id'];
                $subtractQty = $return['quantity'];

                while ($subtractQty > 0 && count($totalQuantity[$itemId]) > 0) {
                    $purchaseQty = array_shift($totalQuantity[$itemId]);
                    $purchaseRate = array_shift($totalRate[$itemId]);

                    if ($purchaseQty <= $subtractQty) {
                        // Use the entire purchase return
                        $subtractQty -= $purchaseQty;
                    } else {
                        // Use part of the purchase return
                        $remainingQty = $purchaseQty - $subtractQty;
                        array_unshift($totalQuantity[$itemId], $remainingQty);
                        array_unshift($totalRate[$itemId], $remainingQty * ($purchaseRate / $purchaseQty));
                        $subtractQty = 0;
                    }
                }
            }

            $remainingTotalQuantity = [];
            $remainingTotalRate = [];
            $combinedData = [];

            foreach ($completeitemNames as $item) {
                $itemId = $item->id;
                $itemName = $item->name;
                $remainingTotalQuantity[$itemId] = isset($totalQuantity[$itemId]) ? array_sum($totalQuantity[$itemId]) : 0;
                $remainingTotalRate[$itemId] = isset($totalRate[$itemId]) ? array_sum($totalRate[$itemId]) : 0;

                $combinedData[] = [
                    'itemId' => $itemId,
                    'itemName' => $itemName,
                    'unit' => $item['unit']['unit'],
                    'group_id' => $item['group_id'],
                    'remainingTotalQuantity' => $remainingTotalQuantity[$itemId],
                    'remainingTotalRate' => $remainingTotalRate[$itemId],
                    'remainingRate' => ($remainingTotalQuantity[$itemId] != 0) ? ($remainingTotalRate[$itemId] / $remainingTotalQuantity[$itemId]) : 0,
                ];
            }

        //    dd($combinedData);

            $completegroupedItems = [];

            foreach ($completegroups as $group) {
                $completegroupedItems[$group->name] = [];

                foreach ($combinedData as $item) {
                    if ($item['group_id'] == $group->id) {
                        $completegroupedItems[$group->name][] = $item;
                    }
                }
            }

            // dd($completegroupedItems);
        // dd($allClosingStock);
        $obNetProfit = 0;
        $netProfit = 0;

        return view('crusher.reports.balance_sheet',compact('from_date','to_date','CbMergedAccounts', 'saleInvoiceData','purchaesInvoiceData','CreditNoteData','DebitNoteData','PurchaseOrderData','QuotationData','ObsaleInvoiceData','ObpurchaesInvoiceData','ObCreditNoteData','ObDebitNoteData','ObPurchaseOrderData','ObQuotationData','CReceiptVouchers','CPurchaesInvoice','CSaleInvoice','CCreditNote','CDebitNote','CReceiptVoucher','CPaymentVoucher','CQuotation','CJournalVoucher','CObReceiptVouchers','CObPurchaesInvoice','CObSaleInvoice','CObCreditNote','CObDebitNote','CObReceiptVoucher','CObPaymentVoucher','CObJournalVoucher','CObQuotation','COBPaymentVouchers','CPaymentVouchers','completegroupedItems','allClosingStock','groupedItems','from_date', 'to_date', 'PCPAllPurchaesInvoice','PCPAllSaleInvoice','salesInvoice','openingBalanceForInventory','originalPurchaseInvoice','concatenatedData','profits','totalRemainingPurchaseQty','totalRemainingPurchaseRate','totalObRemainingPurchaseQty','totalObRemainingPurchaseRate','totalcbRemainingPurchaseQty','totalcbRemainingPurchaseRate','PCPmergedPurchaseExpenses','POBmergedPurchaseExpenses','PCPmergedSalesExpenses','POBmergedSalesExpenses','PCPmergedPaymentExpenses','POBmergedPaymentExpenses','mergedAccounts','discountallAccounts', 'discountsaleInvoiceData','discountpurchaesInvoiceData','discountQuotationData','discountObsaleInvoiceData','discountObpurchaesInvoiceData','discountObQuotationData','PCPAllPurchaesTotals','POBAllPurchaesTotals','PCPAllSaleTotals','POBAllSaleTotals','allClosingStock','allOpeningStock','obNetProfit','netProfit'));
    }
    public function view()
    {
        return view('crusher.reports.select-balance-sheet');
    }
}
