<?php

namespace App\Http\Controllers\MainMenu;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Notifications;
use App\NotificationTrack;
use App\Country;
use App\Location;
use Session;

class NotificationController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $countries = Country::all();
        $locations = Location::all();
        $notifications = Notifications::all();
        return view('user.main_menu.notification.index', compact('countries', 'locations', 'notifications'));
        // return view('user.notification.create');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd($request->option);
        $notification = New Notifications;
        $notification->title = $request->title;
        $notification->description = $request->description;
        $notification->status = "Active";
        $notification->save();
        $current_notification_id = $notification->id;

        if ($request->option == "all_countries_locations") {
            // dd("All Countries And Locations");
            $locations = Location::all();
            // dd($locations);
            foreach ($locations as $location) {
                $notification_track = new NotificationTrack;
                $notification_track->country_id = $location->country_id;
                $notification_track->location_id = $location->id;
                $notification_track->notification_id = $current_notification_id;
                $notification_track->save();
            }
        }
        elseif ($request->option == "multiple_country_all_locations") {
            // dd("Multiple Countries All Locations");
            foreach($request->multiple_country as $country){
                $locations = Location::Where('country_id', $country)->get();
                foreach ($locations as $location) {
                    $notification_track = new NotificationTrack;
                    $notification_track->country_id = $location->country_id;
                    $notification_track->location_id = $location->id;
                    $notification_track->notification_id = $current_notification_id;
                    $notification_track->save();
                }
            }
        }
        elseif ($request->option == "specific_country_multiple_locations") {
            // dd($request->single_country);
            // $locations = Location::Where('country_id', $request->single_country)->get();
            foreach ($request->location as $location) {
                $notification_track = new NotificationTrack;
                $notification_track->country_id = $request->single_country;
                $notification_track->location_id = $location;
                $notification_track->notification_id = $current_notification_id;
                $notification_track->save();
            }
        }

        // Session::flash('alert-success', 'Notification created successfully');
        return redirect('/main-menu/notifications');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $location = array(); 
        // $country = array();
        $notification_track = NotificationTrack::Where('notification_id', $id)->pluck('location_id');
        // dd($location);
        foreach ($notification_track as $entry) {
            $location[] = Location::where('id', $entry)->first();
        }

        // foreach ($location as $entry) {
        //     $country[] = Country::where('id', $entry->country_id)->first();
        // }
        // $country = ;
        
        return view('user.main_menu.notification.show', compact('location'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $notification = Notifications::find($id);
        $notification_track = NotificationTrack::where('notification_id', $id)->get();
        $notification->delete();
        foreach ($notification_track as $entry) {
            $entry->delete();
        }
        return redirect('/main-menu/notifications');
    }
}
