<?php

namespace App\Http\Controllers\MainMenu;

use App\AccountMastersAccountsDetail;
use App\ClassOfAccount;
use App\Currency;
use App\Http\Controllers\Controller;
use App\Location;
use Illuminate\Http\Request;
use Auth;

class BalanceSheetController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $user = Auth::user();
        if (!$user->can('report-of-all-countries-locations')) {
            abort(403, 'Unauthorized action.');
        }

        $locations = Location::all();
        $from_date = $request->from_date;
        $to_date = $request->to_date;
        // $bank_account_total = [];
        // $advance_total = [];
        // $cash_in_hand_total = [];
        // $stock_in_hand_total = [];
        // $sundry_debtors_total = [];
        // $sundry_creditors_total = [];
        // $reserve_and_surplus_total = [];
        // $retained_earnings_total = [];

        foreach ($locations as $location) {
            $location_id = $location->id;

            $bank_account_total_i = 0;
            // $bank_account_total = [];
            $bank_account_class = ClassOfAccount::Where('name', 'Bank Account')->first();
            $bank_account = $this->classOfAccount($bank_account_class->id, $location_id, $from_date, $to_date);
            if ($bank_account) {
                foreach ($bank_account as $bank) {

                    $bank_account_total_i = $bank_account_total_i + $bank['closing_balance'];
                }
                $bank_account_total[] = $bank_account_total_i;
            }else {
                    $bank_account_total[] = $bank_account_total_i;
                    $bank_account_total_i = $bank_account_total_i;
            }
            // dd($bank_account);

            $cash_in_hand_total_i = 0;
            // $cash_in_hand_total = [];
            $cash_in_hand_class = ClassOfAccount::Where('name', 'Cash in Hand')->first();
            $cash_in_hand = $this->classOfAccount($cash_in_hand_class->id, $location_id, $from_date, $to_date);
            if ($cash_in_hand) {
                foreach ($cash_in_hand as $item) {

                    $cash_in_hand_total_i = $cash_in_hand_total_i + $item['closing_balance'];
                }
                $cash_in_hand_total[] = $cash_in_hand_total_i;
            }else {
                $cash_in_hand_total[] = $cash_in_hand_total_i;
                $cash_in_hand_total_i = $cash_in_hand_total_i;
            }
            // dd($cash_in_hand_total);

            $advance_total_i = 0;
            // $advance_total = [];
            $advance_class = ClassOfAccount::Where('name', 'Advance')->first();
            $advance = $this->classOfAccount($advance_class->id, $location_id, $from_date, $to_date);
            if ($advance) {
                foreach ($advance as $item) {

                    $advance_total_i = $advance_total_i + $item['closing_balance'];
                }
                $advance_total[] = $advance_total_i;
            }else {
                $advance_total[] = $advance_total_i;
                $advance_total_i = $advance_total_i;

            }

            // dd($advance_total);

            $stock_in_hand_total_i = 0;
            // $stock_in_hand_total = [];
            $stock_in_hand_class = ClassOfAccount::Where('name', 'Stock in Hand')->first();
            $stock_in_hand = $this->classOfAccount($stock_in_hand_class->id, $location_id, $from_date, $to_date);
            if ($stock_in_hand) {
                foreach ($stock_in_hand as $item) {

                    $stock_in_hand_total_i = $stock_in_hand_total_i + $item['closing_balance'];
                }
                $stock_in_hand_total[] = $stock_in_hand_total_i;
            }else {
                $stock_in_hand_total[] = $stock_in_hand_total_i;
                $stock_in_hand_total_i = $stock_in_hand_total_i;
            }
            // dd($stock_in_hand_total);

            $sundry_debtors_total_i = 0;
            // $sundry_debtors_total = [];
            $sundry_debtors_class = ClassOfAccount::Where('name', 'Sundry Debtors')->first();
            $sundry_debtors = $this->classOfAccount($sundry_debtors_class->id, $location_id, $from_date, $to_date);
            if ($sundry_debtors) {
                foreach ($sundry_debtors as $item) {

                    $sundry_debtors_total_i = $sundry_debtors_total_i + $item['closing_balance'];
                }
                $sundry_debtors_total[] = $sundry_debtors_total_i;
            }else {
                $sundry_debtors_total[] = $sundry_debtors_total_i;
                $sundry_debtors_total_i = $sundry_debtors_total_i;
            }
            // dd($sundry_debtors_total);

            $current_assets[] = $bank_account_total_i + $cash_in_hand_total_i + $advance_total_i + $stock_in_hand_total_i + $sundry_debtors_total_i;
            // dd($current_assets);

            $sundry_creditors_total_i = 0;
            // $sundry_creditors_total = [];
            $sundry_creditors_class = ClassOfAccount::Where('name', 'Sundry Creditors')->first();
            $sundry_creditors = $this->classOfAccount($sundry_creditors_class->id, $location_id, $from_date, $to_date);
            if ($sundry_creditors) {
                foreach ($sundry_creditors as $item) {

                    $sundry_creditors_total_i = $sundry_creditors_total_i + $item['closing_balance'];
                }
                $sundry_creditors_total[] = $sundry_creditors_total_i;
            }else {

                $sundry_creditors_total[] = $sundry_creditors_total_i;
                $sundry_creditors_total_i = $sundry_creditors_total_i;

            }

            // dd($sundry_creditors_total);

            $current_liabilities[] = $sundry_creditors_total_i;

            $reserve_and_surplus_total_i = 0;
            // $reserve_and_surplus_total = [];
            $reserve_and_surplus_class = ClassOfAccount::Where('name', 'Reserves & Surplus')->first();
            $reserve_and_surplus = $this->classOfAccount($reserve_and_surplus_class->id, $location_id, $from_date, $to_date);
            if ($reserve_and_surplus) {
                foreach ($reserve_and_surplus as $item) {
                    $reserve_and_surplus_total_i = $reserve_and_surplus_total_i + $item['closing_balance'];
                }
                $reserve_and_surplus_total[] = $reserve_and_surplus_total_i;
            }else {
                $reserve_and_surplus_total[] = $reserve_and_surplus_total_i;
                $reserve_and_surplus_total_i = $reserve_and_surplus_total_i;
            }
            // dd(count($reserve_and_surplus_total));

            $retained_earnings_total_i = 0;
            // $retained_earnings_total = [];
            $retained_earnings_class = ClassOfAccount::Where('name', 'Retained Earnings')->first();
            $retained_earnings = $this->classOfAccount($retained_earnings_class->id, $location_id, $from_date, $to_date);
            if ($retained_earnings) {
                foreach ($retained_earnings as $item) {

                    $retained_earnings_total_i = $retained_earnings_total_i + $item['closing_balance'];
                }
                $retained_earnings_total[] = $retained_earnings_total_i;
            }else {
                $retained_earnings_total[] = $retained_earnings_total_i;
                $retained_earnings_total_i = $retained_earnings_total_i;
            }
            // dd($retained_earnings_total);

            $capital_account[] = $reserve_and_surplus_total_i + $retained_earnings_total_i;

            // $total = $capital_account + $sundry_creditors_total;

            $decimal = 0;

            $currency = Currency::Where('location_id', $location_id)->first();
            if ($currency) {
                $decimal = $currency->decimal_currency;
            }
        }
        // dd($cash_in_hand_total);



        return view('user.main_menu.balance_sheet.index', compact('from_date', 'to_date', 'bank_account_total', 'cash_in_hand_total', 'advance_total', 'stock_in_hand_total', 'sundry_debtors_total', 'current_assets', 'sundry_creditors_total', 'current_liabilities', 'reserve_and_surplus_total', 'retained_earnings_total', 'capital_account', 'decimal', 'locations'));
    }

    public function display()
    {
        $user = Auth::user();
        if (!$user->can('report-of-all-countries-locations')) {
            abort(403, 'Unauthorized action.');
        }

        return view('user.main_menu.balance_sheet.select_date');
    }

    public function classOfAccount($id, $location_id, $from_date, $to_date)
    {
        $trial_balance_closing_balance = [];
        $decimal = 0;

        $currency = Currency::Where('location_id', $location_id)->first();
        if ($currency) {
            $decimal = $currency->decimal_currency;
        }
        $class_of_account = ClassOfAccount::with(['account_master' => function($q) use ($location_id) {
            $q->where('location_id', $location_id);}])->where('id', $id)->first();
        foreach ($class_of_account->account_master as $account_master){
            $debit = 0;
            $credit = 0;
            $opening_balance = 0;
            $closing_balance = 0;
            $debit = AccountMastersAccountsDetail::Where('account_master_id', $account_master->id)->where('voucher_type', '!=', 'opening balance')->Where('date', '>=' , $from_date)->Where('date', '<=' , $to_date)->sum('debit');
            $credit = AccountMastersAccountsDetail::Where('account_master_id', $account_master->id)->where('voucher_type', '!=', 'opening balance')->Where('date', '>=' , $from_date)->Where('date', '<=' , $to_date)->sum('credit');
            $first_account = AccountMastersAccountsDetail::with('account_master')->Where('account_master_id', $account_master->id)->first();
            if($first_account){
                $with_opening_balance_debit = AccountMastersAccountsDetail::Where('account_master_id', $account_master->id)->Where('date', '>=' , $first_account->date)->Where('date', '<=' , date('Y-m-d', strtotime('-1 day', strtotime($from_date))))->sum('debit');
                $with_opening_balance_credit = AccountMastersAccountsDetail::Where('account_master_id', $account_master->id)->Where('date', '>=' , $first_account->date)->Where('date', '<=' , date('Y-m-d', strtotime('-1 day', strtotime($from_date))))->sum('credit');
            }else{
                $with_opening_balance_debit = 0;
                $with_opening_balance_credit = 0;
            }
            $voucher_type_opening_balance = AccountMastersAccountsDetail::Where('account_master_id', $account_master->id)->Where('voucher_type', 'opening balance')->Where('date', '>=' , $from_date)->Where('date', '<=' , $to_date)->first();
            if($voucher_type_opening_balance){
                if($voucher_type_opening_balance-> debit > 0){
                    $opening_balance = $voucher_type_opening_balance-> debit;
                }else{
                    $opening_balance = $voucher_type_opening_balance->credit;
                }
            }else {
                if($account_master-> account_master_type == 'Supplier'){
                        $opening_balance = ($with_opening_balance_credit) - $with_opening_balance_debit;
                }else{
                    $opening_balance = ($with_opening_balance_debit) - $with_opening_balance_credit;
                }
            }
            if($account_master-> account_master_type == 'Supplier'){
                $closing_balance = ($opening_balance + $credit) - $debit;
            }else{
                $closing_balance = ($opening_balance + $debit) - $credit;
            }
            $trial_balance_closing_balance[] = [
                "ledger" => $account_master,
                "closing_balance" => $closing_balance,
                "closing_balance_decimal" => number_format($closing_balance, $decimal, '.', '')
            ];
        }
        return $trial_balance_closing_balance;
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
