@extends('layouts.crusher')
@section('content')
    {{-- MAIN CONTENT --}}


            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <h6 class="card-title mb-4 titlcust">Edit User</h6>
                                </div>

                            </div>
                            <!-- <div class="col-4"> -->
                            <form action="{{ route('crusher.subadmins.update', ['subadmin'=>$subadmin->id]) }}" class="outer-repeater" method="POST">
                                @csrf
                                @method('put')

                                <div class="row">

                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>User Name</label>
                                            <input class="form-control" type="text" placeholder="Enter User Name"
                                                id="example-number-input" name="name"
                                                value="{{ old('name', $subadmin->name) }}">
                                            @if ($errors->has('name'))
                                                <div class="text-danger">{{ $errors->first('name') }}</div>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Email</label>
                                            <input class="form-control" type="text" placeholder="Enter Email"
                                                id="example-number-input" name="email"
                                                value="{{ old('email', $subadmin->email) }}">
                                            @if ($errors->has('email'))
                                                <div class="text-danger">{{ $errors->first('email') }}</div>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Password</label>
                                            <input class="form-control" type="password" placeholder="Enter Password"
                                                id="example-number-input" name="password" value="{{ old('password') }}">
                                            @if ($errors->has('password'))
                                                <div class="text-danger">{{ $errors->first('password') }}</div>
                                            @endif
                                        </div>
                                    </div>



                                    <!--<div class="col-md-3">-->
                                    <!--    <div class="form-group">-->
                                    <!--        <label>Located Country</label>-->
                                    <!--        <select class="form-control select2" name="location">-->
                                    <!--            <option>Select Located Country</option>-->
                                    <!--            <option value="Alkaram Pakistan"-->
                                    <!--                @if ($subadmin->location == 'Alkaram Pakistan') selected @endif>Alkaram Pakistan-->
                                    <!--            </option>-->
                                    <!--            <option value="Alkaram Dubai"-->
                                    <!--                @if ($subadmin->location == 'Alkaram Dubai') selected @endif>Alkaram Dubai</option>-->
                                    <!--            <option value="Alkaram Oman"-->
                                    <!--                @if ($subadmin->location == 'Alkaram Oman') selected @endif>Alkaram Oman</option>-->
                                    <!--        </select>-->
                                    <!--        @if ($errors->has('location'))-->
                                    <!--            <div class="text-danger">{{ $errors->first('location') }}</div>-->
                                    <!--        @endif-->
                                    <!--    </div>-->
                                    <!--</div>-->


                                    <div class="col-md-3 custveri">
                                        <div class="custom-control custom-switch mb-2" dir="ltr">
                                            <input type="checkbox" class="custom-control-input" id="customSwitch72"
                                                name="agreed" value="1" {{ $subadmin->agreed == 1 ? 'checked' : '' }}
                                                unchecked>
                                            <label class="custom-control-label" for="customSwitch72">Verification
                                                For User</label>
                                            @if ($errors->has('agreed'))
                                                <div class="text-danger">{{ $errors->first('agreed') }}</div>
                                            @endif
                                        </div>
                                    </div>


                                    @foreach ($branches as $branch)
                                        <div class="col-md-12 custveri">
                                            <label>
                                                <input type="checkbox" class="branch-checkbox" value="{{ $branch->id }}"
                                                    onclick="reloadPageWithBranches()">
                                                {{ $branch->company->name }} | {{ $branch->country }} | {{ $branch->name }}
                                            </label>
                                        </div>
                                    @endforeach
                                </div>
                        </div>
                    </div>
                </div>
            </div>
            @if (isset(request()->branch_ids))
                @forelse (request()->branch_ids as $id)
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    @php
                                    $permissionTypes = ['Master', 'Report', 'Transactions', 'Others','period-closing','Ledger Customer','Ledger Expense','Ledger Supplier','Ledger Other Account Master','Ledger Staff and Salesman'];
                                    $printedBranches = [];
                                    @endphp
                                    @foreach ($permissionTypes as $type)
                                        @php
                                            $branchName = '';
                                            $branchPermission = $permissions->first(function ($permission) use ($id, $type) {
                                                return $permission->permission->type === $type && $permission->branch_id == $id;
                                            });
                                            if ($branchPermission && !in_array($branchPermission->branch->name, $printedBranches)) {
                                                $branchName = $branchPermission->branch->name;
                                                $printedBranches[] = $branchName;
                                            }
                                        @endphp
                                        @if ($branchName)
                                            <h1 class="text-center mb-3">{{ $branchName }}</h1>
                                        @endif
                                    @endforeach
                                    <!-- Start row -->
                                    <div class="row">
                                        {{-- @php
                                            $permissionTypes = ['Master', 'Report', 'Transactions', 'Others', 'period-closing', 'user'];
                                        @endphp --}}

                                        @foreach ($permissionTypes as $type)
                                            <div class="col-md-2">
                                                @php
                                                    $branchName = ''; // Initialize variable to store the branch name
                                                    // Find the branch name based on type and branch ID
                                                    $branchPermission = $permissions->first(function ($permission) use ($id, $type) {
                                                        return $permission->permission->type === $type && $permission->branch_id == $id;
                                                    });
                                                    if ($branchPermission) {
                                                        $branchName = $branchPermission->branch->name;
                                                    }
                                                @endphp
                                                {{-- <h4>{{ $branchName }}</h4> --}}
                                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                                    <input type="checkbox" class="custom-control-input type-checkbox"
                                                        id="{{ $type }}TypeCheckbox{{ $id }}"
                                                        data-type="{{ $type }}" data-branch="{{ $id }}">
                                                    <label class="custom-control-label titlcust"
                                                        for="{{ $type }}TypeCheckbox{{ $id }}">{{ $type }}
                                                    </label>
                                                </div>

                                                @forelse ($permissions->filter(function ($permission) use ($id, $type) {
                                                                return $permission->permission->type === $type && $permission->branch_id == $id;
                                                            }) as $permission)
                                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                                        <input type="checkbox"
                                                            class="custom-control-input permission-checkbox"
                                                            name="permissions[]" id="customSwitch{{ $permission->id }}"
                                                            value="{{ $permission->id }}"
                                                            data-branch="{{ $permission->branch_id }}"
                                                            data-type="{{ $type }}"
                                                            @foreach ($subadmin->permissions as $subadminPermission)
                                                        @if ($subadminPermission->branch_permission_id === $permission->id)
                                                            checked
                                                            @break
                                                        @endif @endforeach>
                                                        <label class="custom-control-label"
                                                            for="customSwitch{{ $permission->id }}">{{ $permission->permission->name }}</label>
                                                    </div>
                                                @empty
                                                @endforelse
                                            </div>
                                        @endforeach
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    @empty
                    @endforelse
                @endif

                <button class="btn btn-cust1 float-right" data-toggle="modal" data-target="" type="submit">Update</button>
                </form>
                <!-- end row -->
            </div>
        </div>
        <!-- end row -->

        <!-- end main content-->

        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

        <!-- form repeater js -->
        <script src="assets/libs/jquery.repeater/jquery.repeater.min.js"></script>

        <!-- form repeater init -->
        <script src="assets/js/pages/form-repeater.init.js"></script>

        <script src="assets/js/app.js"></script>
        <script>
            $(".selectall").click(function() {
                $(".apc").prop("checked", $(this).prop("checked"));
            });

            $(".selectallmaster").click(function() {
                $(".master").prop("checked", $(this).prop("checked"));
            });

            $(".selectallreport").click(function() {
                $(".report").prop("checked", $(this).prop("checked"));
            });

            $(".selectalltransaction").click(function() {
                $(".transactions").prop("checked", $(this).prop("checked"));
            });

            $(".selectallother").click(function() {
                $(".other").prop("checked", $(this).prop("checked"));
            });
            $(".selectallother").click(function() {
                if (checkBox.checked == true) {
                    price.style.display = "none";
                } else {
                    price.style.display = "block";
                }
            });

            function myFunction() {
                var checkBox = document.getElementById("myCheck");
                var pricehidden1 = document.getElementById("pricehidden1");
                var pricehidden2 = document.getElementById("pricehidden2");
                var pricehidden3 = document.getElementById("pricehidden3");

                if (checkBox.checked == true) {
                    pricehidden1.style.display = "none";
                    pricehidden2.style.display = "none";
                    pricehidden3.style.display = "none";
                } else {
                    pricehidden1.style.display = "block";
                    pricehidden2.style.display = "block";
                    pricehidden3.style.display = "block";
                }
            }

            // BRANCH CHECKBOX
            document.addEventListener('DOMContentLoaded', function() {
                const params = new URLSearchParams(window.location.search);
                const branchIds = params.getAll('branch_ids[]');

                branchIds.forEach(function(branchId) {
                    const checkbox = document.querySelector(`.branch-checkbox[value="${branchId}"]`);
                    if (checkbox) {
                        checkbox.checked = true;
                    }
                });
            });

            function reloadPageWithBranches() {
                const selectedBranches = [];

                document.querySelectorAll('.branch-checkbox:checked').forEach(function(checkbox) {
                    selectedBranches.push(checkbox.value);
                });

                const queryParams = selectedBranches.length > 0 ? `branch_ids[]=${selectedBranches.join('&branch_ids[]=')}` :
                    '';
                const newUrl = window.location.pathname + '?' + queryParams;

                window.location.href = newUrl;
            }

            // permission select all
            document.addEventListener('DOMContentLoaded', function() {
                const typeCheckboxes = document.querySelectorAll('.type-checkbox');
                typeCheckboxes.forEach(checkbox => {
                    checkbox.addEventListener('change', function() {
                        const type = this.getAttribute('data-type');
                        const branchId = this.getAttribute('data-branch');
                        const permissionCheckboxes = document.querySelectorAll(
                            `.permission-checkbox[data-type="${type}"][data-branch="${branchId}"]`);

                        const isChecked = this.checked;
                        permissionCheckboxes.forEach(permissionCheckbox => {
                            permissionCheckbox.checked = isChecked;
                        });
                    });
                });
            });
        </script>
    @endsection
