<!DOCTYPE html>
<html>

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>{{ env('APP_NAME') }}</title>

    <link href="{{ asset('/public/user_files/css/bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('/public/user_files/font-awesome/css/font-awesome.css') }}" rel="stylesheet">

    <link href="{{ asset('/public/user_files/css/plugins/summernote/summernote.css') }}" rel="stylesheet">

    <!-- Toastr style -->
    <link href="{{ asset('/public/user_files/css/plugins/toastr/toastr.min.css') }}" rel="stylesheet">

    <!-- Gritter -->
    <link href="{{ asset('/public/user_files/js/plugins/gritter/jquery.gritter.css') }}" rel="stylesheet">

    <!-- DataTables -->
    <link href="{{ asset('/public/user_files/css/plugins/dataTables/datatables.min.css') }}" rel="stylesheet">

    <!-- Select2 -->
    <link href="{{ asset('/public/user_files/css/plugins/select2/select2.min.css') }}" rel="stylesheet">

   <!-- Data picker -->
    <link href="{{ asset('/public/user_files/css/plugins/datapicker/datepicker3.css') }}" rel="stylesheet">

    <link href="{{ asset('/public/user_files/css/animate.css') }}" rel="stylesheet">
    <link href="{{ asset('/public/user_files/css/style.css') }}" rel="stylesheet">

    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.3/css/bootstrap-select.min.css" />

    @yield('css')

</head>

<body>
    <div id="wrapper" class="gray-bg">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                    <div class="dropdown profile-element"> <span>
                        {{-- <img alt="image" width="50" class="img-circle" src="/public/user_files/img/user-icon.jpg" /> --}}
                         </span>
                        <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <span class="clear"> <span class="block m-t-xs"> <strong class="font-bold">ACP Admin Portal</strong>
                         </span></span> </a>
                    </div>
                        <div class="logo-element">
                            ACP
                        </div>
                    </li>
                    <li class="@yield('main-menu')">
                        <a href="/"><i class="fa fa-home"></i> <span class="nav-label">Main Menu</span>  </a>
                        </li>
                    <li class="@yield('dashboard')">
                    <a href="{{url('/dashboard')}}"><i class="fa fa-tachometer"></i> <span class="nav-label">Dashbaord</span>  </a>
                    </li>
                    <li class="@yield('master')">
                        <a href="#"><i class="fa fa-list"></i> <span class="nav-label">Masters</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level collapse">
                            {{-- <li class="@yield('account_master')">
                                <a href="#"><i class="fa fa-users"></i> <span class="nav-label">Account Masters</span><span class="fa arrow"></span></a>
                                <ul class="nav nav-second-level collapse"> --}}
                                    @can('company-master')
                                    <li class="@yield('companies')">
                                        <a href="{{url('masters/companies')}}">Company Master</a>
                                    </li>
                                    @endcan
                                    @can('customers-account-master')
                                        <li class="@yield('customers')"><a href="{{url('masters/account-masters/customers')}}">Customers Master</a></li>
                                    @endcan
                                    @can('currency-master')
                                    <li class="@yield('currencies')">
                                        <a href="{{url('masters/currencies')}}">Currency  Master</a>
                                    </li>
                                    @endcan
                                    @can('expenses-account-master')
                                        <li class="@yield('expenses')"><a href="{{url('masters/account-masters/expenses')}}">Expenses Master</a></li>
                                    @endcan
                                    @can('item-group-master')
                                    <li class="@yield('item-groups')">
                                        <a href="{{url('masters/item-groups')}}">Item Group Master</a>
                                    </li>
                                    @endcan
                                    @can('item-unit-master')
                                    <li class="@yield('item-unitss')">
                                        <a href="{{url('masters/item-units')}}">Item Unit Master</a>
                                    </li>
                                    @endcan
                                    @can('item-name-master')
                                    <li class="@yield('item-names')">
                                        <a href="{{url('masters/item-names')}}">Item Name Master</a>
                                    </li>
                                    @endcan
                                    @can('other-account-master')
                                        <li class="@yield('other_accounts')"><a href="{{url('masters/account-masters/other-accounts')}}">Other Accounts Master</a></li>
                                    @endcan
                                    @can('period-closing')
                                    <li class="@yield('period-closing')">
                                        <a href="{{url('masters/period-closing')}}">Period Closing</a>
                                    </li>
                                    @endcan
                                    @can('suppliers-account-master')
                                        <li class="@yield('suppliers')"><a href="{{url('masters/account-masters/suppliers')}}">Suppliers Master</a></li>
                                    @endcan
                                    @can('staff-and-salesmen-account-master')
                                        <li class="@yield('staff_salesmen')"><a href="{{url('masters/account-masters/staff-and-salesmen')}}">Staff & Salesman Master</a></li>
                                    @endcan
                                {{-- </ul>
                            </li> --}}
                            {{-- <li class="@yield('category_master')">
                                <a href="">Category Master</a>
                            </li>--}}
                            @can('terms-and-conditions')
                            <li class="@yield('term-condition')">
                                <a href="#"><span class="nav-label">Term & Conditions</span><span class="fa arrow"></span></a>
                                <ul class="nav nav-second-level collapse">
                                    <li class="@yield('term-condition-approval-voucher')"><a href="{{url('masters/terms-and-conditions/approval-voucher')}}">Approval Voucher</a></li>
                                    <li class="@yield('term-condition-sale-invoice')"><a href="{{url('masters/terms-and-conditions/sales-invoice')}}">Sales Invoice</a></li>
                                    <li class="@yield('term-condition-purchase-invoice')"><a href="{{url('masters/terms-and-conditions/purchase-invoice')}}">Purchase Invoice</a></li>
                                    <li class="@yield('term-condition-sales-return-vouchers')"><a href="{{url('masters/terms-and-conditions/sales-return-voucher')}}">Sale Return Voucher</a></li>
                                    <li class="@yield('term-condition-purchase-return-vouchers')"><a href="{{url('masters/terms-and-conditions/purchase-return-voucher')}}">Purchase Return Voucher</a></li>
                                </ul>
                            </li>
                            @endcan
                            @can('warehouse-master')
                            <li class="@yield('warehouses')">
                                <a href="{{url('masters/warehouses')}}">Warehouse Master</a>
                            </li>
                            @endcan
                            {{-- <li class="@yield('salesman-master')">
                                <a href="{{url('add-salesman')}}"">Add Salesman</a>
                            </li> --}}

                        </ul>
                    </li>
                    <li class="@yield('transaction')">
                        <a href="#"><i class="fa fa-exchange"></i> <span class="nav-label">Transactions</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level collapse">
                            @can('approval-voucher-delivery-notes')
                            <li class="@yield('approval-voucher')">
                                <a href="{{url('transactions/approval-vouchers')}}">Approval Voucher/Delivery Notes</a>
                            </li>
                            @endcan
                            {{-- <li class="@yield('country-location-wise-transfer')">
                                <a href="#"><span class="nav-label">Country/Location Wise Transfer</span><span class="fa arrow"></span></a>
                                <ul class="nav nav-second-level collapse"> --}}
                                    @can('country-location-wise-stock-transfer')
                                    <li class="@yield('stock-transfer')"><a href="{{url('transactions/country-location-wise-transfer/stock-transfers')}}">Country/Location Wise Stock Transfer</a></li>
                                    @endcan
                                    @can('country-location-wise-cash-transfer')
                                    <li class="@yield('cash-transfer')"><a href="{{url('transactions/country-location-wise-transfer/cash-transfers')}}">Country/Location Wise Cash Transfer</a></li>
                                    @endcan
                                {{-- </ul>
                            </li> --}}
                            @can('credit-note-sales-return-voucher')
                            <li class="@yield('sales-return-voucher')">
                                <a href="{{url('transactions/sales-return-vouchers')}}">Credit Note(Sales Return Voucher)</a>
                            </li>
                            @endcan
                            @can('debit-note-purchase-return-voucher')
                            <li class="@yield('purchase-return-voucher')">
                                <a href="{{url('transactions/purchase-return-vouchers')}}">Debit Note(Purchase Return Voucher)</a>
                            </li>
                            @endcan
                            @can('deposit-and-withdraw')
                            <li class="@yield('deposit-withdraw-voucher')">
                                <a href="{{url('transactions/deposit-withdraw-vouchers')}}">Deposit and Withdraw</a>
                            </li>
                            @endcan
                            @can('journal-voucher')
                            <li class="@yield('journal-voucher')">
                                <a href="{{url('transactions/journal-vouchers')}}">Journal Voucher</a>
                            </li>
                            @endcan
                            @can('opening-balances-for-inventory')
                            <li class="@yield('inventory-opening-balance')">
                                <a href="{{url('transactions/inventory-opening-balances')}}">Opening Balances for Inventory</a>
                            </li>
                            @endcan
                            @can('purchase-voucher')
                            <li class="@yield('purchase-invoice')">
                                <a href="{{url('transactions/purchase-invoices')}}">Purchase Invoice</a>
                            </li>
                            @endcan
                            @can('payment-voucher')
                            <li class="@yield('payment-voucher')">
                                <a href="{{url('transactions/payment-vouchers')}}">Payment Voucher</a>
                            </li>
                            @endcan
                            @can('receipt-voucher')
                            <li class="@yield('receipt-voucher')">
                                <a href="{{url('transactions/receipt-vouchers')}}">Receipt Voucher</a>
                            </li>
                            @endcan
                            @can('sales-voucher')
                            <li class="@yield('sales-invoice')">
                                <a href="{{url('transactions/sales-invoices')}}">Sales Invoice</a>
                            </li>
                            @endcan
                            @can('warehouse-transfer')
                            <li class="@yield('warehouse-stock-transfer')">
                                <a href="{{url('transactions/warehouse-stock-transfers')}}">Warehouse Transfer</a>
                            </li>
                            @endcan
                        </ul>
                    </li>

                    <li class="@yield('reports')">
                        <a href=""><i class="fa fa-file"></i><span class="nav-label">Reports</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level collapse">
                            @can('approval-voucher-and-do-report')
                            <li class="@yield('approval-voucher-report')">
                                <a href="{{url('reports/approval-vouchers-report')}}">Approval Voucher & DO Report</a>
                            </li>
                            @endcan
                            @can('balance-sheet-report')
                            <li class="@yield('balance-sheet')">
                               <a href="{{url('reports/balance-sheet-select')}}">Balance Sheet</a>
                           </li>
                           @endcan
                           @can('day-book-report')
                           <li class="@yield('day-book')">
                               <a href="{{url('reports/day-book')}}">Day Book Report</a>
                           </li>
                           @endcan
                           @can('group-summay-report')
                           <li class="@yield('group-summary')">
                               <a href="{{url('reports/group-summary-select')}}">Group Summary</a>
                           </li>
                           @endcan
                           {{-- @can('official-vat-report')
                            <li class="@yield('offical-vat-report')">
                                <a href="{{url('reports/vat-report-select')}}">Offical VAT Report</a>
                            </li>
                            @endcan --}}
                            {{-- <li class="@yield('total-vat-in-out-report')">
                                <a href="{{url('total-vat-in-out-report')}}">Total VAT in & out Report</a>
                            </li> --}}
                            @can('purchase-report')
                            <li class="@yield('purchase-report')">
                                <a href="{{url('reports/purchase-report-select')}}">Purchase Report</a>
                            </li>
                            @endcan
                            @can('statement-of-account-report')
                            <li class="@yield('Statement-of-Accounts')">
                                <a href="{{url('reports/statement-of-accounts')}}">Statement of Accounts</a>
                            </li>
                            @endcan
                            @can('stock-report')
                            <li class="@yield('stock-report')">
                                <a href="{{url('reports/stock-report-select')}}">Stock Report</a>
                            </li>
                            @endcan
                            @can('sales-report')
                            <li class="@yield('sale-report')">
                                <a href="{{url('reports/sale-report-select')}}">Sales Report</a>
                            </li>
                            @endcan
                            @can('salesmen-report')
                            <li class="@yield('salesman-report')">
                                <a href="{{url('reports/salesman-report-select')}}">Salesman Report</a>
                            </li>
                            @endcan
                            @can('trial-balance-report')
                            <li class="@yield('trial-balance-report')">
                                <a href="{{url('reports/trial-balance-report-select')}}">Trial Balance Report</a>
                            </li>
                            @endcan
                            @can('profit-loss-report')
                            <li class="@yield('profit-loss-report')">
                                <a href="{{url('reports/profit-loss-report-select')}}">Profit & Loss Report</a>
                            </li>
                            @endcan
                        </ul>

                    </li>
                     <li class="@yield('others')">
                        <a href=""><i class="fa fa-tasks"></i><span class="nav-label">Others</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level collapse">
                            {{-- <li class="@yield('to-do-list')">
                                <a href="{{url('to-do-list')}}">To Do List</a>
                            </li>
                            <li class="@yield('create-todo')">
                                <a href="{{url('create-to-do')}}">Create ToDo</a>
                            </li> --}}
                            @if (Auth::user()->hasRole('user'))
                            <li class="@yield('admin-remainders')">
                                <a href="{{url('others/admin-remainders')}}">Admin Remainders</a>
                            </li>
                            @endif
                            <li class="@yield('document-expiry')">
                                <a href="{{url('others/document-expiry')}}">Document Expiry</a>
                            </li>
                            <li class="@yield('remainders')">
                                <a href="{{url('others/remainders')}}">My Remainders</a>
                            </li>
                            <li class="@yield('notifications')">
                                <a href="{{url('others/notifications')}}">Notifications</a>
                            </li>
                        </ul>

                    </li>
                    <li class="@yield('change-password')">
                        <a href="{{url('change-password')}}"><i class="fa fa-key"></i> <span class="nav-label">Change Password</span>  </a>
                    </li>
                </ul>

            </div>
        </nav>

        <div id="page-wrapper" class="white-bg" style="min-height: 996px;">
        <div class="row border-bottom">

        <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
        <div class="navbar-header">
            <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
        </div>
            <ul class="nav navbar-top-links navbar-right">
                <li>
                    <a href="/logout" >
                        <i class="fa fa-sign-out"></i> Log out
                    </a>
                </li>
            </ul>

        </nav>
        </div>
        <div class="row wrapper border-bottom gray-bg page-heading">
            <div class="col-lg-10">
                <h2>@yield('page-title')</h2>
                <ol class="breadcrumb">
                    @yield('page-breadcrumb')
                </ol>
            </div>
        </div>
            @yield('content')
        <div class="footer">
            <div class="pull-right">
                ACP Software
            </div>
            <div>
                <strong>Copyright</strong> ACP &copy; 2020
            </div>
        </div>

        </div>
        </div>

    </div>

    <!-- Mainly scripts -->
    <script src="{{ asset('/public/user_files/js/jquery-2.1.1.js') }}"></script>
    <script src="{{ asset('/public/user_files/js/bootstrap.min.js') }}"></script>
    <script src="{{ asset('/public/user_files/js/plugins/validate/jquery.validate.min.js') }}"></script>

    <script src="{{ asset('/public/user_files/js/plugins/metisMenu/jquery.metisMenu.js') }}"></script>
    <script src="{{ asset('/public/user_files/js/plugins/slimscroll/jquery.slimscroll.min.js') }}"></script>


    <script src="{{ asset('/public/user_files/js/plugins/summernote/summernote.min.js') }}"> </script>

    <!-- Flot -->
    <script src="{{ asset('/public/user_files/js/plugins/flot/jquery.flot.js') }}"></script>
    <script src="{{ asset('/public/user_files/js/plugins/flot/jquery.flot.tooltip.min.js') }}"></script>
    <script src="{{ asset('/public/user_files/js/plugins/flot/jquery.flot.spline.js') }}"></script>
    <script src="{{ asset('/public/user_files/js/plugins/flot/jquery.flot.resize.js') }}"></script>
    <script src="{{ asset('/public/user_files/js/plugins/flot/jquery.flot.pie.js') }}"></script>

    <!-- Peity -->
    <script src="{{ asset('/public/user_files/js/plugins/peity/jquery.peity.min.js') }}"></script>
    <script src="{{ asset('/public/user_files/js/demo/peity-demo.js') }}"></script>

    <!-- Custom and plugin javascript -->
    <script src="{{ asset('/public/user_files/js/inspinia.js') }}"></script>
    <script src="{{ asset('/public/user_files/js/plugins/pace/pace.min.js') }}"></script>

    <!-- jQuery UI -->
    <script src="{{ asset('/public/user_files/js/plugins/jquery-ui/jquery-ui.min.js') }}"></script>

    <!-- GITTER -->
    <script src="{{ asset('/public/user_files/js/plugins/gritter/jquery.gritter.min.js') }}"></script>

    <!-- Sparkline -->
    <script src="{{ asset('/public/user_files/js/plugins/sparkline/jquery.sparkline.min.js') }}"></script>

    <!-- Sparkline demo data  -->
    <script src="{{ asset('/public/user_files/js/demo/sparkline-demo.js') }}"></script>

    <!-- ChartJS-->
    <script src="{{ asset('/public/user_files/js/plugins/chartJs/Chart.min.js') }}"></script>

    <!-- Toastr -->
    <script src="{{ asset('/public/user_files/js/plugins/toastr/toastr.min.js') }}"></script>

    <!-- DataTables -->
    <script src="{{ asset('/public/user_files/js/plugins/dataTables/datatables.min.js') }}"></script>

    <!-- Select2 -->
    <script src="{{ asset('/public/user_files/js/plugins/select2/select2.full.min.js') }}"></script>

   <!-- Data picker -->
   <script src="{{ asset('/public/user_files/js/plugins/datapicker/bootstrap-datepicker.js') }}"></script>

   <script src="//cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.3/js/bootstrap-select.min.js"></script>

   <script src="{{ asset('/public/user_files/js/numberToWords.js') }}"></script>

    <script>
        $(document).ready(function() {
            $("body").toggleClass("mini-navbar");
            SmoothlyMenu();
            // setTimeout(function() {
            //     toastr.options = {
            //         closeButton: true,
            //         progressBar: true,
            //         showMethod: 'slideDown',
            //         timeOut: 4000
            //     };
            //     toastr.success('Responsive Admin Theme', 'Welcome to INSPINIA');

            // }, 1300);

        });
    </script>
    <script>
        function CheckAccountPassword(account_id) {
            $.ajax({
                url: '/masters/account-masters/password/'+account_id,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {
                        $('#pass_check').val(data.data);
                        console.log(data.account);
                        if(data.account.account_master_type == 'Other-Account'){
                            $('#buyer_name').prop("required", true);
                            $('#buyer_mobile').prop("required", true);
                            $('#buyer_email').prop("required", true);
                            $('#buyer_address').prop("required", true);
                            $('#buyer_vat_number').prop("required", true);
                            $('.buyer-info').show();
                        }else{
                            $('#buyer_name').val('');
                            $('#buyer_mobile').val('');
                            $('#buyer_email').val('');
                            $('#buyer_address').val('');
                            $('#buyer_vat_number').val('');
                            $('#buyer_name').prop("required", false);
                            $('#buyer_mobile').prop("required", false);
                            $('#buyer_email').prop("required", false);
                            $('#buyer_address').prop("required", false);
                            $('#buyer_vat_number').prop("required", false);
                            $('.buyer-info').hide();
                        }
                    }else {
                        alert(data.status);
                    }
                },
            });
        }

        function AccountPasswordVerfification(account_master_id, password) {
            $.ajax({
                url: '/masters/account-masters/check-password/'+account_master_id,
                type:"POST",
                dataType:"json",
                data: {
                     password: password,
                     _token: '{{csrf_token()}}'
                    } ,
                    success:function(data) {
                    console.log("data", data.status);
                    if(data.status == "success") {
                        $("#exampleModal").modal('hide');
                        $("#create_form").submit();
                    }else {
                        alert('Enetred Password Not Correct');
                    }

                },
            });
        }
        function dec_function(num, dec) {
            var n = num.toFixed(dec);
            return n;
        }
        @php
            $location_id = \App\Services\Utils::getLocation();
            $currency = \App\Currency::Where('location_id', $location_id)->first();
        @endphp
        function withDecimal(n) {
            var currency_detail = '{{ $currency->currency_detail ?? "" }}';
            var minor_unit = '{{ $currency->minor_unit ?? ""}}';
            var nums = n.toString().split('.')
            var whole = numberToWord(nums[0])
            if (nums.length == 2) {
                var fraction = numberToWord(nums[1])
                return currency_detail + ' ' + whole + ' and ' + fraction + ' ' + minor_unit + ' only';
            } else {
                return whole;
            }
        }
    </script>
    @yield('js')
</body>
</html>
