@extends('layouts.superadmin')
@section('content')
    <div class="page-content">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-flex align-items-center justify-content-between">
                    <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <h4 class="page-title mb-0 font-size-18">Powered By ACP</h4>
                        </ol>
                    </div>

                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Branch Master</h6>
                            </div>

                        </div>
                        <!-- <div class="col-4"> -->
                        <form action="{{ url('branch/insert') }}" class="outer-repeater" method="POST" id="insert_form">

                            @csrf
                            <div class="row">

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="control-label">Company Name</label>
                                        <select class="form-control select2" name="company_id" id="company">
                                            <option>Select Company Name</option>
                                            @foreach ($companies as $company)
                                                <option value="{{ $company->id }}">{{ $company->name }}({{ $company->country }})</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('company_id'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('company_id') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>

                                <!-- <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Located Country</label>
                                        <select class="form-control select2" name="country" id="country">
                                            <option>Select Located Country</option>
                                            <option>Alkaram Pakistan </option>
                                            <option>Alkaram Dubai</option>
                                            <option>Alkaram Oman</option>
                                        </select>
                                        @if ($errors->has('country'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('country') }}
                                            </div>
                                        @endif
                                    </div>
                                </div> -->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Branch</label>
                                        <input class="form-control" type="text" name="name" placeholder="Enter Branch"
                                            id="example-password-input">
                                        @if ($errors->has('name'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('name') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>


                                <div class="col-md-2 custveri price" >
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input type="checkbox" form="insert_form" class="custom-control-input"
                                            name="type" id="customSwitchtest" value="test" unchecked id="myCheck" onclick="myFunction()">
                                        <label class="custom-control-label" for="customSwitchtest">Test
                                        </label>
                                        @if ($errors->has('type'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('type') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>


                                <div class="col-md-2 custveri price" id="pricehidden1">
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input type="checkbox" form="insert_form" class="custom-control-input"
                                            name="type" id="customSwitchpaid" value="paid" unchecked>
                                        <label class="custom-control-label" for="customSwitchpaid">Paid
                                        </label>
                                        @if ($errors->has('type'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('type') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>



                                <div class="col-md-4 price" id="pricehidden2">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <label>Currency</label>

                                            <select class="form-control select2" name="currency">
                                                <option value="">Currency</option>
                                                <option value="AED">AED (United Arab Emirates Dirham)</option>
                                                <option value="AFN">AFN (Afghan Afghani)</option>
                                                <option value="ALL">ALL (Albanian Lek)</option>
                                                <option value="AMD">AMD (Armenian Dram)</option>
                                                <option value="ANG">ANG (Netherlands Antillean Guilder)</option>
                                                <option value="AOA">AOA (Angolan Kwanza)</option>
                                                <option value="ARS">ARS (Argentine Peso)</option>
                                                <option value="AUD">AUD (Australian Dollar)</option>
                                                <option value="AWG">AWG (Aruban Florin)</option>
                                                <option value="AZN">AZN (Azerbaijani Manat)</option>
                                                <option value="BAM">BAM (Bosnia and Herzegovina Convertible Mark)</option>
                                                <option value="BBD">BBD (Barbadian Dollar)</option>
                                                <option value="BDT">BDT (Bangladeshi Taka)</option>
                                                <option value="BGN">BGN (Bulgarian Lev)</option>
                                                <option value="BHD">BHD (Bahraini Dinar)</option>
                                                <option value="BIF">BIF (Burundian Franc)</option>
                                                <option value="BMD">BMD (Bermudian Dollar)</option>
                                                <option value="BND">BND (Brunei Dollar)</option>
                                                <option value="BOB">BOB (Bolivian Boliviano)</option>
                                                <option value="BRL">BRL (Brazilian Real)</option>
                                                <option value="BSD">BSD (Bahamian Dollar)</option>
                                                <option value="BTN">BTN (Bhutanese Ngultrum)</option>
                                                <option value="BWP">BWP (Botswanan Pula)</option>
                                                <option value="BYN">BYN (Belarusian Ruble)</option>
                                                <option value="BZD">BZD (Belize Dollar)</option>
                                                <option value="CAD">CAD (Canadian Dollar)</option>
                                                <option value="CDF">CDF (Congolese Franc)</option>
                                                <option value="CHF">CHF (Swiss Franc)</option>
                                                <option value="CLP">CLP (Chilean Peso)</option>
                                                <option value="CNY">CNY (Chinese Yuan)</option>
                                                <option value="COP">COP (Colombian Peso)</option>
                                                <option value="CRC">CRC (Costa Rican Colón)</option>
                                                <option value="CUP">CUP (Cuban Peso)</option>
                                                <option value="CVE">CVE (Cape Verdean Escudo)</option>
                                                <option value="CZK">CZK (Czech Republic Koruna)</option>
                                                <option value="DJF">DJF (Djiboutian Franc)</option>
                                                <option value="DKK">DKK (Danish Krone)</option>
                                                <option value="DOP">DOP (Dominican Peso)</option>
                                                <option value="DZD">DZD (Algerian Dinar)</option>
                                                <option value="EGP">EGP (Egyptian Pound)</option>
                                                <option value="ERN">ERN (Eritrean Nakfa)</option>
                                                <option value="ETB">ETB (Ethiopian Birr)</option>
                                                <option value="EUR">EUR (Euro)</option>
                                                <option value="FJD">FJD (Fijian Dollar)</option>
                                                <option value="FKP">FKP (Falkland Islands Pound)</option>
                                                <option value="FOK">FOK (Faroese Króna)</option>
                                                <option value="GBP">GBP (British Pound Sterling)</option>
                                                <option value="GEL">GEL (Georgian Lari)</option>
                                                <option value="GGP">GGP (Guernsey Pound)</option>
                                                <option value="GHS">GHS (Ghanaian Cedi)</option>
                                                <option value="GIP">GIP (Gibraltar Pound)</option>
                                                <option value="GMD">GMD (Gambian Dalasi)</option>
                                                <option value="GNF">GNF (Guinean Franc)</option>
                                                <option value="GTQ">GTQ (Guatemalan Quetzal)</option>
                                                <option value="GYD">GYD (Guyanaese Dollar)</option>
                                                <option value="HKD">HKD (Hong Kong Dollar)</option>
                                                <option value="HNL">HNL (Honduran Lempira)</option>
                                                <option value="HRK">HRK (Croatian Kuna)</option>
                                                <option value="HTG">HTG (Haitian Gourde)</option>
                                                <option value="HUF">HUF (Hungarian Forint)</option>
                                                <option value="IDR">IDR (Indonesian Rupiah)</option>
                                                <option value="ILS">ILS (Israeli New Shekel)</option>
                                                <option value="IMP">IMP (Isle of Man Pound)</option>
                                                <option value="INR">INR (Indian Rupee)</option>
                                                <option value="IQD">IQD (Iraqi Dinar)</option>
                                                <option value="IRR">IRR (Iranian Rial)</option>
                                                <option value="ISK">ISK (Icelandic Króna)</option>
                                                <option value="JEP">JEP (Jersey Pound)</option>
                                                <option value="JMD">JMD (Jamaican Dollar)</option>
                                                <option value="JOD">JOD (Jordanian Dinar)</option>
                                                <option value="JPY">JPY (Japanese Yen)</option>
                                                <option value="KES">KES (Kenyan Shilling)</option>
                                                <option value="KGS">KGS (Kyrgystani Som)</option>
                                                <option value="KHR">KHR (Cambodian Riel)</option>
                                                <option value="KID">KID (Kiribati Dollar)</option>
                                                <option value="KRW">KRW (South Korean Won)</option>
                                                <option value="KWD">KWD (Kuwaiti Dinar)</option>
                                                <option value="KYD">KYD (Cayman Islands Dollar)</option>
                                                <option value="KZT">KZT (Kazakhstani Tenge)</option>
                                                <option value="LAK">LAK (Laotian Kip)</option>
                                                <option value="LBP">LBP (Lebanese Pound)</option>
                                                <option value="LKR">LKR (Sri Lankan Rupee)</option>
                                                <option value="LRD">LRD (Liberian Dollar)</option>
                                                <option value="LSL">LSL (Lesotho Loti)</option>
                                                <option value="LYD">LYD (Libyan Dinar)</option>
                                                <option value="MAD">MAD (Moroccan Dirham)</option>
                                                <option value="MDL">MDL (Moldovan Leu)</option>
                                                <option value="MGA">MGA (Malagasy Ariary)</option>
                                                <option value="MKD">MKD (Macedonian Denar)</option>
                                                <option value="MMK">MMK (Myanma Kyat)</option>
                                                <option value="MNT">MNT (Mongolian Tugrik)</option>
                                                <option value="MOP">MOP (Macanese Pataca)</option>
                                                <option value="MRU">MRU (Mauritanian Ouguiya)</option>
                                                <option value="MUR">MUR (Mauritian Rupee)</option>
                                                <option value="MVR">MVR (Maldivian Rufiyaa)</option>
                                                <option value="MWK">MWK (Malawian Kwacha)</option>
                                                <option value="MXN">MXN (Mexican Peso)</option>
                                                <option value="MYR">MYR (Malaysian Ringgit)</option>
                                                <option value="MZN">MZN (Mozambican Metical)</option>
                                                <option value="NAD">NAD (Namibian Dollar)</option>
                                                <option value="NGN">NGN (Nigerian Naira)</option>
                                                <option value="NIO">NIO (Nicaraguan Córdoba)</option>
                                                <option value="NOK">NOK (Norwegian Krone)</option>
                                                <option value="NPR">NPR (Nepalese Rupee)</option>
                                                <option value="NZD">NZD (New Zealand Dollar)</option>
                                                <option value="OMR">OMR (Omani Rial)</option>
                                                <option value="PAB">PAB (Panamanian Balboa)</option>
                                                <option value="PEN">PEN (Peruvian Nuevo Sol)</option>
                                                <option value="PGK">PGK (Papua New Guinean Kina)</option>
                                                <option value="PHP">PHP (Philippine Peso)</option>
                                                <option value="PKR">PKR (Pakistani Rupee)</option>
                                                <option value="PLN">PLN (Polish Zloty)</option>
                                                <option value="PYG">PYG (Paraguayan Guarani)</option>
                                                <option value="QAR">QAR (Qatari Rial)</option>
                                                <option value="RON">RON (Romanian Leu)</option>
                                                <option value="RSD">RSD (Serbian Dinar)</option>
                                                <option value="RUB">RUB (Russian Ruble)</option>
                                                <option value="RWF">RWF (Rwandan Franc)</option>
                                                <option value="SAR">SAR (Saudi Riyal)</option>
                                                <option value="SBD">SBD (Solomon Islands Dollar)</option>
                                                <option value="SCR">SCR (Seychellois Rupee)</option>
                                                <option value="SDG">SDG (Sudanese Pound)</option>
                                                <option value="SEK">SEK (Swedish Krona)</option>
                                                <option value="SGD">SGD (Singapore Dollar)</option>
                                                <option value="SHP">SHP (Saint Helena Pound)</option>
                                                <option value="SLL">SLL (Sierra Leonean Leone)</option>
                                                <option value="SOS">SOS (Somali Shilling)</option>
                                                <option value="SRD">SRD (Surinamese Dollar)</option>
                                                <option value="SSP">SSP (South Sudanese Pound)</option>
                                                <option value="STN">STN (São Tomé and Príncipe Dobra)</option>
                                                <option value="SVC">SVC (Salvadoran Colón)</option>
                                                <option value="SYP">SYP (Syrian Pound)</option>
                                                <option value="SZL">SZL (Swazi Lilangeni)</option>
                                                <option value="THB">THB (Thai Baht)</option>
                                                <option value="TJS">TJS (Tajikistani Somoni)</option>
                                                <option value="TMT">TMT (Turkmenistani Manat)</option>
                                                <option value="TND">TND (Tunisian Dinar)</option>
                                                <option value="TOP">TOP (Tongan Pa'anga)</option>
                                                <option value="TRY">TRY (Turkish Lira)</option>
                                                <option value="TTD">TTD (Trinidad and Tobago Dollar)</option>
                                                <option value="TWD">TWD (New Taiwan Dollar)</option>
                                                <option value="TZS">TZS (Tanzanian Shilling)</option>
                                                <option value="UAH">UAH (Ukrainian Hryvnia)</option>
                                                <option value="UGX">UGX (Ugandan Shilling)</option>
                                                <option value="USD">USD (United States Dollar)</option>
                                                <option value="UYU">UYU (Uruguayan Peso)</option>
                                                <option value="UZS">UZS (Uzbekistan Som)</option>
                                                <option value="VES">VES (Venezuelan Bolívar)</option>
                                                <option value="VND">VND (Vietnamese Dong)</option>
                                                <option value="VUV">VUV (Vanuatu Vatu)</option>
                                                <option value="WST">WST (Samoan Tala)</option>
                                                <option value="XAF">XAF (Central African CFA Franc)</option>
                                                <option value="XCD">XCD (East Caribbean Dollar)</option>
                                                <option value="XOF">XOF (West African CFA Franc)</option>
                                                <option value="XPF">XPF (CFP Franc)</option>
                                                <option value="YER">YER (Yemeni Rial)</option>
                                                <option value="ZAR">ZAR (South African Rand)</option>
                                                <option value="ZMW">ZMW (Zambian Kwacha)</option>
                                                <option value="ZWL">ZWL (Zimbabwean Dollar)</option>
                                            </select>

                                            @if ($errors->has('currency'))
                                                <div class="alert alert-danger">
                                                    {{ $errors->first('currency') }}
                                                </div>
                                            @endif
                                        </div>

                                        <div class="col-md-8">
                                            <div class="form-group">
                                                <label>Anual Subscription</label>
                                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Anual Subscription"
                                                    name="price" id="example-number-input">
                                                @if ($errors->has('price'))
                                                    <div class="alert alert-danger">
                                                        {{ $errors->first('price') }}
                                                    </div>
                                                @endif
                                            </div>
                                        </div>

                                    </div>
                                </div>

                                <!-- <div class="col-md-4 price" id="pricehidden3">
                                        <div class="form-group">
                                            <label>Price</label>
                                            <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Price"
                                                id="example-number-input">
                                        </div>
                                    </div> -->



                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="control-label">Software</label>
                                        <select class="form-control select2" name="software">
                                            <option selected disabled>Select</option>
                                            <option>IT & Accessories</option>
                                            <option>Mobile & Accessories</option>
                                            <option>Food Stuff</option>
                                            <option>Building Materials</option>
                                            <option>Car paint</option>
                                        </select>
                                        @if ($errors->has('software'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('software') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>



                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Software Issue Date</label>
                                        <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                            name="issue_date">
                                        @if ($errors->has('issue_date'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('issue_date') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Software Expiry Date</label>
                                        <input class="form-control" type="date" id="example-number-input"
                                            name="expiry_date" pattern="dd/mm/yy">
                                        @if ($errors->has('expiry_date'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('expiry_date') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>




                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Lieninancy</label>
                                        <input class="form-control" type="text" name="leniency"
                                            placeholder="Enter Leniency Time" id="example-number-input">

                                        {{-- @if ($errors->has('leniency'))
                                        <div class="alert alert-danger">
                                            {{ $errors->first('leniency') }}
                                        </div>
                                    @endif --}}
                                    </div>
                                </div>
                                <div class="col-md-4 custveri">
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input type="checkbox" form="insert_form" class="custom-control-input"
                                            name="verification" id="customSwitch72" value="1" unchecked>
                                        <label class="custom-control-label" for="customSwitch72">Verification
                                            For User</label>
                                    </div>
                                </div>
                                <!-- <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Currency ID</label>
                                        <input class="form-control" type="text" name="currency_id"
                                            placeholder="Enter Currency ID" id="example-number-input">

                                    </div>
                                </div> -->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Currency Detail</label>
                                        <input class="form-control" type="text" name="currency_detail"
                                            placeholder="Enter Currency Detail" id="example-number-input">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Currency Decimal</label>
                                        <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" name="currency_decimal"
                                            placeholder="Enter Currency Decimal" id="example-number-input">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Minal Unit</label>
                                        <input class="form-control" type="text" name="minal_unit"
                                            placeholder="Enter Minal Unit" id="example-number-input">
                                    </div>
                                </div>


                            </div>



                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <!-- Start row -->
                    <div class="row">

                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form" class="custom-control-input selectallMaster"
                                    id="selectallMaster" unchecked>
                                <label class="custom-control-label titlcust" for="selectallMaster">Master<label>
                            </div>
                            @forelse ($permissions->where('type','Master') as $permission)
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="{{ $permission->id }}" name="permissions[]" type="checkbox"
                                        form="insert_form" class="custom-control-input master"
                                        id="customSwitch{{ $permission->id }}"
                                        @if ($permission->enabled) checked @endif>
                                    <label class="custom-control-label titlcust" for="customSwitch{{ $permission->id }}">
                                        {{ ucwords(str_replace('-', ' ', $permission->name)) }}</label>
                                </div>
                            @empty
                            @endforelse
                        </div>

                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form" class="custom-control-input selectallReports"
                                    id="selectallReports" unchecked>
                                <label class="custom-control-label titlcust" for="selectallReports">Reports<label>
                            </div>
                            @forelse ($permissions->where('type','Report') as $permission)
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="{{ $permission->id }}" name="permissions[]" type="checkbox"
                                        form="insert_form" class="custom-control-input reports"
                                        id="customSwitch{{ $permission->id }}"
                                        @if ($permission->enabled) checked @endif>
                                    <label class="custom-control-label titlcust" for="customSwitch{{ $permission->id }}">
                                        {{ ucwords(str_replace('-', ' ', $permission->name)) }}</label>
                                </div>
                            @empty
                            @endforelse
                        </div>

                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form"
                                    class="custom-control-input selectallTransactions" id="selectallTransactions"
                                    unchecked>
                                <label class="custom-control-label titlcust"
                                    for="selectallTransactions">Transactions<label>
                            </div>
                            @forelse ($permissions->where('type','Transactions') as $permission)
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="{{ $permission->id }}" name="permissions[]" type="checkbox"
                                        form="insert_form" class="custom-control-input transactions"
                                        id="customSwitch{{ $permission->id }}"
                                        @if ($permission->enabled) checked @endif>
                                    <label class="custom-control-label titlcust" for="customSwitch{{ $permission->id }}">
                                        {{ ucwords(str_replace('-', ' ', $permission->name)) }}</label>
                                </div>
                            @empty
                            @endforelse
                        </div>

                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form" class="custom-control-input selectallOthers"
                                    id="selectallOthers" unchecked>
                                <label class="custom-control-label titlcust" for="selectallOthers">Others<label>
                            </div>
                            @forelse ($permissions->where('type','Others') as $permission)
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="{{ $permission->id }}" name="permissions[]" type="checkbox"
                                        form="insert_form" class="custom-control-input others"
                                        id="customSwitch{{ $permission->id }}"
                                        @if ($permission->enabled) checked @endif>
                                    <label class="custom-control-label titlcust" for="customSwitch{{ $permission->id }}">
                                        {{ ucwords(str_replace('-', ' ', $permission->name)) }}</label>
                                </div>
                            @empty
                            @endforelse
                        </div>
                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form"
                                    class="custom-control-input selectallPeriodClosing" id="selectallPeriodClosing"
                                    unchecked>
                                <label class="custom-control-label titlcust" for="selectallPeriodClosing">Period
                                    Closing<label>
                            </div>
                            @forelse ($permissions->where('type','period-closing') as $permission)
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="{{ $permission->id }}" name="permissions[]" type="checkbox"
                                        form="insert_form" class="custom-control-input period-closing"
                                        id="customSwitch{{ $permission->id }}"
                                        @if ($permission->enabled) checked @endif>
                                    <label class="custom-control-label titlcust" for="customSwitch{{ $permission->id }}">
                                        {{ ucwords(str_replace('-', ' ', $permission->name)) }}</label>
                                </div>
                            @empty
                            @endforelse
                        </div>
                        {{-- <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form" class="custom-control-input selectallUsers"
                                    id="selectallUsers" unchecked>
                                <label class="custom-control-label titlcust" for="selectallUsers">Show User<label>
                            </div>
                            @forelse ($permissions->where('type','user') as $permission)
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="{{ $permission->id }}" name="permissions[]" type="checkbox"
                                        form="insert_form" class="custom-control-input user"
                                        id="customSwitch{{ $permission->id }}"
                                        @if ($permission->enabled) checked @endif>
                                    <label class="custom-control-label titlcust" for="customSwitch{{ $permission->id }}">
                                        {{ ucwords(str_replace('-', ' ', $permission->name)) }}</label>
                                </div>
                            @empty
                            @endforelse
                        </div> --}}
                    </div>
                    <button class="btn btn-cust1 float-right" form="insert_form" type="submit">Save & Next</button>
                </div>
            </div>
        </div>
    </div>
    </form>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#company').on('change', function() {
                var company_id = $(this).val();
                if (company_id) {
                    $.ajax({
                        type: 'GET',
                        url: '{{ url('get_countries') }}',
                        data: {
                            company_id: company_id
                        },
                        success: function(html) {
                            $('#country').html('<option value=' + html.country + '>' + html
                                .country + '</option>');
                        }
                    });
                } else {
                    $('#country').html('<option value="">Select Company First</option>');
                }
            });

            // Get the "Master" switch element and individual permission switch elements
            var selectAllMaster = document.getElementById('selectallMaster');
            var masterSwitches = document.querySelectorAll('.custom-control-input.master');

            // Add click event listener to "Master" switch
            selectAllMaster.addEventListener('click', function() {
                var isChecked = selectAllMaster.checked;

                // Set all individual permission switches based on the "Master" switch's state
                masterSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Reports" switch element and individual permission switch elements for reports
            var selectAllReports = document.getElementById('selectallReports');
            var reportSwitches = document.querySelectorAll('.custom-control-input.reports');

            // Add click event listener to "Reports" switch
            selectAllReports.addEventListener('click', function() {
                var isChecked = selectAllReports.checked;

                // Set all individual permission switches for reports based on the "Reports" switch's state
                reportSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Transactions" switch element and individual permission switch elements for transactions
            var selectallTransactions = document.getElementById('selectallTransactions');
            var transactionSwitches = document.querySelectorAll('.custom-control-input.transactions');

            // Add click event listener to "Transactions" switch
            selectallTransactions.addEventListener('click', function() {
                var isChecked = selectallTransactions.checked;

                // Set all individual permission switches for transactions based on the "Transactions" switch's state
                transactionSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Others" switch element and individual permission switch elements for others
            var selectallOthers = document.getElementById('selectallOthers');
            var otherSwitches = document.querySelectorAll('.custom-control-input.others');

            // Add click event listener to "Others" switch
            selectallOthers.addEventListener('click', function() {
                var isChecked = selectallOthers.checked;

                // Set all individual permission switches for others based on the "Others" switch's state
                otherSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Period Closing" switch element and individual permission switch elements for Period-closing
            var selectallPeriodClosing = document.getElementById('selectallPeriodClosing');
            var periodSwitches = document.querySelectorAll('.custom-control-input.period-closing');

            // Add click event listener to "Period Closing" switch
            selectallPeriodClosing.addEventListener('click', function() {
                var isChecked = selectallPeriodClosing.checked;

                // Set all individual permission switches for others based on the "Others" switch's state
                periodSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Show User" switch element and individual permission switch elements for Show User
            var selectallUsers = document.getElementById('selectallUsers');
            var userSwitches = document.querySelectorAll('.custom-control-input.user');

            // Add click event listener to "Show User" switch
            selectallUsers.addEventListener('click', function() {
                var isChecked = selectallUsers.checked;

                // Set all individual permission switches for others based on the "Others" switch's state
                userSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });
        });
    </script>
      <script>
        function myFunction() {
            var checkBox = document.getElementById("myCheck");
            var pricehidden1 = document.getElementById("pricehidden1");
            var pricehidden2 = document.getElementById("pricehidden2");
            var pricehidden3 = document.getElementById("pricehidden3");

            if (checkBox.checked == true) {
                pricehidden1.style.display = "none";
                pricehidden2.style.display = "none";
                pricehidden3.style.display = "none";
            } else {
                pricehidden1.style.display = "block";
                pricehidden2.style.display = "block";
                pricehidden3.style.display = "block";
            }
        }
    </script>
@endsection
