@extends('layouts.master_user_without_nav')
@section('css')
<style>
    .vcenter {
        margin-left: 38px;
    }

    h2 {
        text-align: center;
        margin-bottom: 20px;
    }
    .top{
        margin-top: 40px;
    }
    .top1{
        margin-top: 20px;
        margin-bottom: 20px
    }


</style>
@endsection
@section('content')
<div class=" container wrapper wrapper-content animated fadeInRight">
    <div class="row" style="margin-bottom: 20px;">
        <a href="/main-menu/profit-and-loss/select-date" class="btn btn-primary">Go Back</a>
    </div>
    <div class="row gray-bg">
        <h2><strong>Profit And Loss Report All Locations</strong></h2>
    </div>
    <div class="row top1">
        <div class="col-md-12">
            @include('errors.list')
        </div>
    </div>
    <div class="row top1">
        <div class="col-md-12">
            <h3><strong>From {{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} To {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</strong></h3>
        </div>
    </div>

    <div class="row">
        <div class="col-md-6">
            <select name="condense_detail" id="condense_detail" onchange="view()">
                <option value="condense" selected>Condense View</option>
                <option value="detail">Detail View</option>
            </select>
        </div>
    </div>

    <div class="table-responsive top1">
        @foreach ($locations as $key => $location)
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <td colspan="3" style="text-align: center">Report for Location {{$location->name}}</td>
                    </tr>
                    <tr>
                        <th>Particulars</th>
                        <th colspan="2">Amounts</th>                        
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><strong>Sales Accounts</strong></td>
                        <td></td>
                        <td><strong>{{ number_format($sales_accounts[$key],2,'.','') }}</strong></td>
                    </tr>
                    <tr>
                        <td>Opening Stock</td>
                        <td>{{ number_format($opening_amount[$key],2,'.','') }}</td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Purchase Accounts</td>
                        <td>{{ number_format($purchase_accounts[$key],2,'.','') }}</td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Closing Stock</td>
                        <td>{{ number_format($closing_amount[$key],2,'.','') }}</td>
                        <td></td>
                    </tr>
                    <tr>
                        <td><strong>Cost Of Sales</strong></td>
                        <td></td>
                        <td><strong>{{ number_format($cost_of_sales[$key],2,'.','') }}</strong></td>
                    </tr>
                    <tr>
                        @if ($gross_profit_loss[$key] >= 0)
                            <td><strong>Gross Profit</strong></td>
                        @else
                            <td><strong>Gross Loss</strong></td>    
                        @endif
                        <td></td>
                        <td><strong>{{ number_format($gross_profit_loss[$key],2,'.','') }}</strong></td>
                    </tr>
                    
                    @foreach ($trial_balance_closing_balance_array[$key] as $closing_balance)
                        
                        <tr class="condense_only">
                            <td>{{ $closing_balance['ledger']-> name_of_organisation }}</td>    
                            <td>{{ number_format($closing_balance['closing_balance'],2,'.','') }}</td>
                            <td></td>
                        </tr>
                    
                    @endforeach
                    
                    <tr>
                        <td><strong>Expense Total</strong></td>
                        <td></td>
                        <td><strong>{{ number_format($expense_total_array[$key],2,'.','') }}</strong></td>
                    </tr>
                    <tr>
                        @if ($net_profit_loss[$key] >= 0)
                            <td><strong>Net Profit</strong></td>
                        @else
                            <td><strong>Net Loss</strong></td>    
                        @endif
                        <td></td>
                        <td><strong>{{ number_format($net_profit_loss[$key],2,'.','') }}</strong></td>
                    </tr>
                </tbody>
            </table>
        @endforeach
        
    </div>

</div>
@endsection

@section('js')
<script>

    $('.condense_only').hide();
    function view() {
      var view = $('#condense_detail').val();
      
      if (view == "condense") {
          $('.condense_only').hide();
      }
      if(view == "detail"){
        $('.condense_only').show();
      }
    }

</script>
@endsection
