@extends('layouts.master_user_without_nav')
@section('css')
<style>
    p {
    margin: 0 0 0px;
    }
    @media print {
        #printbtn {
            display: none;
        }

        /* .pagebreak {
            page-break-before: always;

        } */

        @page {
            size: auto;
            margin: 30 0;
        }

        .table-bordered {
            border: 1px solid #999 !important;
        }
        .table > thead > tr > th{
            border: 1px solid #999 !important;
        }
        .table > tbody > tr > td {
            border-top: none !important;
        }
        .table-bordered > thead > tr > td{
            border: 1px solid #999 !important;
        }
        .table-bordered > tbody > tr > td{
            border: 1px solid #999 !important;
        }
        /* .invoice-total > tbody > tr > td:last-child{
            border-bottom: 1px solid #999 !important;
        } */
        .invoice-total > tbody > tr > td{
            border-right: 1px solid #999 !important;
        }
        .invoice-total{
            border-left: 1px solid #999 !important;
            border-right: 1px solid #999 !important;
        }
        .table-bordered .b-b-none{
            border-bottom: none !important;
        }
        .invoice-total > tbody > tr > td.b-b-none{
            border-bottom: none !important;
        }
    }


    .invoice-box {
        max-width: 1200px;
        margin: auto;
        box-shadow: 0 0 10px rgba(0, 0, 0, .15);
    }

    table {
        font-size: 13px;
    }

    .invoice-total>tbody>tr>td:first-child {
        text-align: right;
    }

    .invoice-total>tbody>tr>td:nth-child(2) {
        text-align: right;
    }

    .top95 {

        text-align: center;
    }

    .moveleft {
        text-align: right;
    }

    .well {
        background-color: white;
    }

    @media screen and (max-width: 768px) {
        #table-responsive {
            width: 100%;
            overflow-x: auto;
        }
    }

    .logo {
        height: auto;
        width: 174px;
    }
    .margin_bottom{
        margin-bottom: 50px;
    }
    #margin_top{
        margin-top: 20px;
    }
    .table-bordered {
        border: 1px solid #999;
    }
    .table > thead > tr > th{
        border: 1px solid #999;
    }
    .table > tbody > tr > td {
        border-top: none;
    }
    .table-bordered > thead > tr > td{
        border: 1px solid #999;
    }
    .table-bordered > tbody > tr > td{
        border: 1px solid #999;
    }
    /* .invoice-total > tbody > tr > td:last-child{
        border-bottom: 1px solid #999;
    } */
    .invoice-total > tbody > tr > td{
        border-right: 1px solid #999 !important;
    }
    .invoice-total{
        border-left: 1px solid #999 !important;
        border-right: 1px solid #999 !important;
    }
    .b-b-none{
        border-bottom: none !important;
    }

</style>
@endsection
@section('content')
<div class="invoice-box">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox-content p-w-s">
                <div class="row">
                    <div class="col-sm-12 text-center">
                        @if ($buyer->account_master_type == "Customer")
                            <a href="/view-invoice/{{$buyer->id}}/view_signatures" target="blank" type="button" class="btn btn-primary pull-right" style="margin-left: 5px;"><i class="fa fa-check"></i>View Signature</a>
                        @endif
                        <button class="btn btn-primary pull-right" id="printbtn" onclick="window.print()"><i
                                class="fa fa-print"></i> Print Invoice </button>
                    </div>
                </div>
                <div class="text-center">
                    <h3><b>
                        @if ($approval_voucher->type == "delivery note")
                            Delivery Note
                        @elseif ($approval_voucher->type == "approval voucher")
                            Approval Voucher
                        @endif
                    </b></h3>
                    </div>
                    <table class="table table table-bordered m-b-none b-b-none">
                        <tbody>
                            <tr>
                                <td rowspan=2 width="50%">
                                    {{-- <img src="/public/user_files/img/acp-logo.png" width="150"> --}}
                                    <p><b>{{ $company-> name }}</b></p>
                                    <p>Email: {{ $company-> email }}</p>
                                    <p>Mobile#: {{ $company-> mobile }}</p>
                                    <p>Address: {{ $company-> address }}</p>
                                    <p>VAT#: {{ $company-> vat_number }}</p>
                                    <p>TRN#: {{ $company-> trn_number }}</p>
                                    <p>TIN#: {{ $company-> tin_number }}</p>
                                </td>
                                <td width="25%">
                                    <p>Invoice No:</p>
                                    <p><b>{{ $approval_voucher -> invoice_no }}</b></p>
                                </td>
                                <td width="25%">
                                    <p>Date</p>
                                    <p><b>{{ $approval_voucher -> date }}</b></p>
                                </td>
                            </tr>
                            <td width="25%">
                                <p>Delivery Order#:</p>
                                <p><b>N/A</b></p>

                            </td>
                            <td width="25%">
                                <p>Mode/Term of Payment</p>
                                <p><b>N/A</b></p>
                            </td>
                            <tr>
                                <td width="50%" class="b-b-none">
                                    <p><b>Buyer:</b></p>
                                    @if ($buyer-> account_master_type == 'Other-Account')
                                        <p>Name: {{ $approval_voucher->buyer_name ?? ""}}</p>
                                        <p>Mobile#: {{ $approval_voucher->buyer_mobile ?? ""}}</p>
                                        <p>Email: {{ $approval_voucher->buyer_email ?? ""}}</p>
                                        <p>Address: {{ $approval_voucher->buyer_address ?? ""}}</p>
                                        <p>VAT#: {{ $approval_voucher->buyer_vat_number ?? ""}}</p>
                                    @else
                                        <p>Name: {{$buyer->name_of_organisation ?? ""}}</p>
                                        <p>Mobile#: {{$buyer->mobile ?? ""}}</p>
                                        <p>Email: {{$buyer->email ?? ""}}</p>
                                        <p>Address: {{$buyer->address ?? ""}}</p>
                                        <p>VAT#: {{ $buyer-> vat_number }}</p>
                                    @endif
                                </td>
                                <td colspan=2 class="b-b-none">
                                    <p>Purchase Order#:
                                    <p><b>N/A</b></p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <table class="table table-bordered m-b-none">
                        <thead>
                            <tr>
                                <th class="col">S.NO</th>
                                <th class="col">Item Name</th>
                                <th class="col">Item Description</th>
                                {{-- <th class="col">Color</th> --}}
                                <th class="col">IMEI/Serial/Other</th>
                                <th class="col">QTY</th>
                                <th class="col">Unit</th>
                                <th class="col">Remarks</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($approval_voucher-> items_cancelled as $key =>$item)
                                <tr>
                                    <td><b>{{ $key + 1 }}</b></td>
                                    <td><b>{{ \App\PurchaseSalesTransferStockTrack::with('name')->where(['imei_serial_no' => $item->imei_serial_no])->first()->name->name }}</b></td>
                                    <td>{{ \App\PurchaseSalesTransferStockTrack::where(['imei_serial_no' => $item->imei_serial_no])->first()->description }}</td>
                                    {{-- <td>{{ \App\PurchaseSalesTransferStockTrack::where(['imei_serial_no' => $item->imei_serial_no])->first()->color }}</td> --}}
                                    <td>{{  $item-> imei_serial_no  }}</td>
                                    <td><b>{{  $item-> quantity  }}</b></td>
                                    <td>{{  $item->unit->unit  }}</td>
                                    <td>{{  $item-> remarks  }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                <table class="table invoice-total m-b-none">
                    <tbody>
                        <tr>
                            <td width="50%" style="text-align: left;">
                                @if ($approval_voucher -> narrations)
                                    <strong>Narrations</strong>
                                    <p>{{ $approval_voucher -> narrations }}</p>
                                @endif
                            </td>
                            <td width="35%"><strong>QTY Total :</strong></td>
                            <td width="15%" style="border-bottom: none">{{ $approval_voucher -> total_quantity }}</td>
                        </tr>

                    </tbody>
                </table>
                <table class="table table-bordered">
                    <tr>
                        <td colspan="2" width="100%"><strong>Terms & Conditions</strong>
                        <p>{!! $terms_and_conditions-> terms_and_conditions ?? ''!!}</p>
                        </td>
                        {{-- <td width="50%">
                            <strong>Narrations</strong>
                        <p>1) Lorem ipsum,it is sometimes known, is dummy text.<p/>
                        <p>2) Lorem ipsum,it is sometimes known, is dummy text.</p>
                        </td> --}}
                    </tr>

                {{-- </table>
                <table id="margin_top"> --}}
                {{-- </table>
                <table class="table table-bordered" id="margin_top"> --}}
                    <tr>
                        <td width="50%" style="position: relative;padding-top: 35px;">
                            @if ($approval_voucher -> signature_path != "")
                                <img src="/public/user_files/img/client_signs/{{ $approval_voucher -> signature_path }}" width="150">
                                <p style=""><strong>Customer Signature & Stamp</strong></p>
                            @else
                                <p style="position: absolute;bottom: 5px;left: 5px;"><strong>Customer Signature & Stamp</strong></p>
                            @endif
                            <p></p>
                        </td>
                        <td width="50%" style="position: relative;padding-top: 35px;">
                            @if ($company-> logo)
                                <img src="/public/user_files/img/company/{{ $company-> logo }}" width="150">
                            @endif
                            <p style="position: absolute;bottom: 5px;right: 5px;"><strong class="pull-right ">For {{ $company-> name }}</strong><br>
                            <strong class="pull-right"> Authorised Signature</strong>
                            </p>
                        </td>
                    </tr>
                </table>
                {{-- <table>
                    <tfoot >
                        <p class="text-center">This is a Computer Generated Invoice</p>
                    </tfoot>
                </table> --}}
            </div>
        </div>
    </div>
</div>


@section('js')
<script>
    $(document).ready(function(){
$("#hide").click(function(){
$(".fa fa-print").hide();
});

});
</script>
@endsection
