
@extends('layouts.master_user')
@section('page-title')
Statement of Accounts
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }

    #top {
        margin-top: 100px;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('reports')
active
@endsection
@section('Statement-of-Accounts')
active
@endsection
@section('content')

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form class="form-horizontal" method="POST" id="create_form" action="" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <div class="col-sm-4">
                        <label>From Date </label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                            name="from_date" id="from_date" class="form-control" value="">
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <label>To Date </label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                            name="to_date" id="to_date" class="form-control" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label for="account_class_or_Ledger">Select Type of report</label>
                        <select class="ledger_account_class form-control" id="ledger_account_class_id"
                            name="ledger_account_class_name" onchange="showLedgerAccount()" required>
                            <option value="">Select</option>
                            <option value="ledger">Ledger Wise</option>
                            <option value="account">Class of Account</option>
                        </select>
                    </div>
                </div>
                <table class="table table-bordered table-hover">
                    <thead>
                        <tr>
                            <th width="50%">Particulars</th>
                            <th width="25%" class="bill_vat display-none" id="bill_vat">Select Type</th>
                            <th width="25%">Info</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>
                                <p id="ledger_class_of_account">Particulars</p>
                                <div id="account_class" class="display-none">
                                    <select class="form-control" id="class_of_account" name="class_of_account">
                                        <option value="">Select Class of Account</option>
                                        @foreach ($class_of_accounts as $item)
                                            <option value="{{$item->id}}">{{$item->name}}</option>
                                        @endforeach
                                    </select>

                                </div>
                                <div id="ledger_class" class="display-none">
                                    <select class="form-control" id="ledger_class_select" name="ledger_class" onchange="showLedgerInfo()">
                                        <option value="">Select Ledger</option>
                                        @foreach ($account_masters as $item)
                                            <option value="{{$item->id}}">{{$item->name_of_organisation}}</option>
                                        @endforeach
                                    </select>
                                    <input type="hidden" name="pass_check" id="pass_check" value="">
                                </div>
                            </td>
                            <td id="bill_vat" class="bill_vat display-none">
                                <select name="billwise_vat" id="billwise_vat" class="form-control" onchange="changeForm()">
                                    <option value="">Select Option</option>
                                    <option value="billwise">BillWise</option>
                                    <option value="vatwise">Vat Wise</option>
                                </select>
                            </td>
                            <td class="display-min">
                                <button type="button" class="btn" id="customer_info_btn"><i
                                        class="fa fa-info"></i></button>
                                <div id="customer_info" class="display-none">
                                    <p><b>Contact Person:</b> <span id="account_name"></span></p>
                                    <p><b>Mobile:</b> <span id="account_contact"></span></p>
                                    <p><b>WhatsApp:</b> <span id="account_whatsapp"></span></p>
                                    <p><b>Email:</b> <span id="account_email"></span></p>
                                    <p><b>Address:</b> <span id="account_address"></span></p>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class="form-group top">
                    <button class="btn btn-primary pull-right" type="button" id="form_submit"><i class="fa fa-check"></i>&nbsp;Display</button>
                </div>
            </form>

        </div>
    </div>

    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="">Account Verification By Password</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form id="modal-form">
                <div class="form-group">
                  <label for="recipient-name" class="col-form-label">Enter Report Password For the selected Account:</label>
                  <input type="password" class="form-control" name="password" id="password">
                </div>

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="button" id="submitbutton" class="btn btn-primary">Verify</button>
            </div>
          </form>
          </div>
        </div>
    </div>

</div>
@endsection

@section('js')
<script>
    $('#class_of_account').select2();
    $('#ledger_class_select').select2();
    $('select[name="ledger_class"]').on('change', function(){
        var account_id = $(this).val();
        if(account_id) {
            CheckAccountPassword(account_id);
        } else {
        }
    });

    $("#form_submit").click(function(){
        var ledger_class = $("#ledger_account_class_id").val();
        if (ledger_class == "ledger") {
            if ($('#create_form').valid()) {
                var pass_check = $('#pass_check').val();
                if (pass_check == "no") {
                    $('#create_form').submit();
                } else if(pass_check == "yes"){
                    $('#exampleModal').modal('show');
                }
            }
        }
        else if (ledger_class == "account") {
            if ($('#create_form').valid()) {
                $('#create_form').submit();
            }
        }
    });

    $("#submitbutton").click(function(){
        var password = $('#password').val();
        var account_master_id = $('#ledger_class_select').val();
        if (account_master_id == "") {
            alert("Kindly Select Account First");
        }else
        if (password != null){
            AccountPasswordVerfification(account_master_id, password);
        }
    });

    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        }).datepicker('setDate',new Date());
    });
        function changeForm(){
            var billwise_vat = $('#billwise_vat').val();

            if (billwise_vat == "") {
                $('#create_form').attr('action', '/reports/statement-of-accounts/ledger');
            }else if (billwise_vat == "billwise") {
                $('#create_form').attr('action', '/reports/statement-of-accounts/ledger/billwise');
            }else if (billwise_vat == "vatwise") {
                $('#create_form').attr('action', '/reports/statement-of-accounts/ledger/vatwise');
            }
        }

        function showLedgerAccount(){
            var select_status=$('#ledger_account_class_id').val();
            if(select_status=='account'){
                $('#account_class').show();
                $('.bill_vat').hide();
                $('#ledger_class').hide();
                $('#ledger_class_of_account').hide();
                $('#create_form').attr('action', '/reports/statement-of-accounts/class');

            }
            if(select_status=='ledger'){
                $('#ledger_class').show();
                $('.bill_vat').show();
                $('#account_class').hide();
                $('#ledger_class_of_account').hide();

                var billwise_vat = $('#billwise_vat').val();
                if (billwise_vat == "") {
                    $('#create_form').attr('action', '/reports/statement-of-accounts/ledger');
                }else if (billwise_vat == "billwise") {
                    $('#create_form').attr('action', '/reports/statement-of-accounts/ledger/billwise');
                }else if (billwise_vat == "vatwise") {
                    $('#create_form').attr('action', '/reports/statement-of-accounts/ledger/vatwise');
                }

            }
            if(select_status==''){
                $('#account_class').hide();
                $('#ledger_class').hide();
                $('#ledger_class_of_account').show();
                $('#create_form').attr('action', '');
            }
        }

        function showLedgerInfo() {
            var select_ledger = $('#ledger_class_select').val();
            if(select_ledger) {

                $.ajax({
                    url: '/reports/statement-of-accounts/ledgerInfo/'+select_ledger,
                    type:"GET",
                    dataType:"json",
                    success:function(data) {
                        console.log("data", data.data);
                        if(data.status == "success") {
                            // alert(data.data.name_of_organisation);
                            $('#account_name').html(data.data.contact_person_name);
                            $('#account_contact').html(data.data.mobile);
                            $('#account_whatsapp').html(data.data.whatsapp);
                            $('#account_email').html(data.data.email);
                            $('#account_address').html(data.data.address);
                        }else {
                            $('#account_name').html("");
                            $('#account_whatsapp').html("");
                            $('#account_email').html("");
                            $('#account_address').html("");
                        }

                    },
                });
            } else {
                $('#account_name').html('');
                $('#account_whatsapp').html('');
                $('#account_email').html('');
                $('#account_address').html('');
            }


        }



        function showAndHideInfo(){
            var select_status=$('#report_type').val();
            if(select_status=='billwise_report'){
                $('#customer_info_btn').show();
                $('#customer_info_th').show();
            }
            if(select_status=='vat_report'){
                $('#customer_info_btn').hide();
                $('#customer_info_th').hide();

            }
            if(select_status==''){
                $('#customer_info_btn').hide();
                $('#customer_info').hide();
                $('#customer_info_th').hide();
                }
        }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
@endsection
