
@extends('layouts.master_user')
@section('page-title')
Statement of Accounts
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }

    #top {
        margin-top: 100px;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('reports')
active
@endsection
@section('Statement-of-Accounts')
active
@endsection
@section('content')

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">

            <div class="form-group top pull-right">
                {{-- <button class="btn btn-secondary " type="button"><i class="fa fa fa-print"></i>&nbsp;&nbsp;<span
                class="bold">Print</span></button> --}}
                <a href="/reports/statement-of-accounts/pdfview/ledger/billwise/{{$from_date}}/{{$to_date}}/{{$ledger->id}}" target="_blank" class="btn btn-primary"><i class="fa fa fa-print"> Print </i> & <i class="fa fa-file-pdf-o">  PDF Format</i></a>
                <button class="btn btn-secondary " type="button"><i class="fa fa fa-envelope"></i>&nbsp;&nbsp;Email (PDF
                Format)</button>
            </div>
            <div><p><strong>{{$ledger->name_of_organisation}}</strong></p></div>
            <div class="col-md-6">
                <p><strong>Date : </strong><strong>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</strong></p>
            </div>
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>Date</th>
                        <th>Voucher Description</th>
                        <th>Amount</th>
                        <th>Invoice Due Date</th>
                        <th>Over Due By Days</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($sorted_data as $item)
                        <tr>
                            <td>{{\Carbon\Carbon::parse($item->date)->format('d-m-Y')}}</td>
                            <td>{{$item->invoice_type}}# {{ $item->invoice_no }}</td>
                            <td>{{ number_format($item->net_total,$decimal,'.','') }}</td>
                            <td>{{$item->due_date}}</td>
                            <td>{{$item->diff}}</td>
                        </tr>
                    @endforeach

                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>

</script>
@endsection
